﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace SlXnaApp1
{
    public partial class Nastavitve_Igralci : PhoneApplicationPage
    {
        public Nastavitve_Igralci()
        {
            InitializeComponent();

            InicializacijaIgralci();
        }

        public int numIgralci = 2;
        private bool sprememba = false;
        public int barvaIgralec1 = 0;
        public int barvaIgralec2 = 0;
        public int barvaIgralec3 = 0;
        public int barvaIgralec4 = 0;
        public int barvaIgralec5 = 0;
        private int tmp = 0;

        /*
            1 -> rdeča
            2 -> modra
            3 -> zelena
            4 -> rumena
            5 -> oranžna
        */

        private void InicializacijaIgralci()
        {
            sliderMaxIgralcev.Value = (App.Current as App).zbirkaIgralci.Count;
            tmp = (App.Current as App).zbirkaIgralci.Count;
            txtIzpisStevilaIgralcev.Text = (App.Current as App).zbirkaIgralci.Count.ToString();

            rbtnRdeca1.IsEnabled = true;
            rbtnRdeca2.IsEnabled = true;
            rbtnRdeca3.IsEnabled = true;
            rbtnRdeca4.IsEnabled = true;
            rbtnRdeca5.IsEnabled = true;

            rbtnModra1.IsEnabled = true;
            rbtnModra2.IsEnabled = true;
            rbtnModra3.IsEnabled = true;
            rbtnModra4.IsEnabled = true;
            rbtnModra5.IsEnabled = true;
            
            rbtnZelena1.IsEnabled = true;
            rbtnZelena2.IsEnabled = true;
            rbtnZelena3.IsEnabled = true;
            rbtnZelena4.IsEnabled = true;
            rbtnZelena5.IsEnabled = true;

            rbtnRumena1.IsEnabled = true;
            rbtnRumena2.IsEnabled = true;
            rbtnRumena3.IsEnabled = true;
            rbtnRumena4.IsEnabled = true;
            rbtnRumena5.IsEnabled = true;

            rbtnOranzna1.IsEnabled = true;
            rbtnOranzna2.IsEnabled = true;
            rbtnOranzna3.IsEnabled = true;
            rbtnOranzna4.IsEnabled = true;
            rbtnOranzna5.IsEnabled = true;

            #region 2 igralca
            if ((App.Current as App).zbirkaIgralci.Count == 2)
            {
                rbtnIgralec1.IsEnabled = true;
                rbtnUI1.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[0].jeClovek == true)
                    rbtnIgralec1.IsChecked = true;
                else
                    rbtnUI1.IsChecked = true;

                txtImeIgralec1.Text = (App.Current as App).zbirkaIgralci[0].ime;


                rbtnIgralec2.IsEnabled = true;
                rbtnUI2.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[1].jeClovek == true)
                    rbtnIgralec2.IsChecked = true;
                else
                    rbtnUI2.IsChecked = true;

                txtImeIgralec2.Text = (App.Current as App).zbirkaIgralci[1].ime;

                if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca1.IsChecked = true;
	                rbtnRdeca2.IsEnabled = false;
	                rbtnRdeca3.IsEnabled = false;
	                rbtnRdeca4.IsEnabled = false;
	                rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra1.IsChecked = true;
	                rbtnModra2.IsEnabled = false;
	                rbtnModra3.IsEnabled = false;
	                rbtnModra4.IsEnabled = false;
	                rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena1.IsChecked = true;
	                rbtnZelena2.IsEnabled = false;
	                rbtnZelena3.IsEnabled = false;
	                rbtnZelena4.IsEnabled = false;
	                rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena1.IsChecked = true;
	                rbtnRumena2.IsEnabled = false;
	                rbtnRumena3.IsEnabled = false;
	                rbtnRumena4.IsEnabled = false;
	                rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna1.IsChecked = true;
	                rbtnOranzna2.IsEnabled = false;
	                rbtnOranzna3.IsEnabled = false;
	                rbtnOranzna4.IsEnabled = false;
	                rbtnOranzna5.IsEnabled = false;
                }

                if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca2.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra2.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena2.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena2.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna2.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                txtImeIgralec3.Text = "";
                txtImeIgralec3.IsEnabled = false;
                rbtnIgralec3.IsChecked = false;
                rbtnIgralec3.IsEnabled = false;
                rbtnUI3.IsChecked = false;
                rbtnUI3.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;

                txtImeIgralec4.Text = "";
                txtImeIgralec4.IsEnabled = false;
                rbtnIgralec4.IsChecked = false;
                rbtnIgralec4.IsEnabled = false;
                rbtnUI4.IsChecked = false;
                rbtnUI4.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;

                txtImeIgralec5.Text = "";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsChecked = false;
                rbtnIgralec5.IsEnabled = false;
                rbtnUI5.IsChecked = false;
                rbtnUI5.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;
            }
            #endregion

            #region + 1 = 3
            if ((App.Current as App).zbirkaIgralci.Count == 3)
            {
                rbtnIgralec1.IsEnabled = true;
                rbtnUI1.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[0].jeClovek == true)
                    rbtnIgralec1.IsChecked = true;
                else
                    rbtnUI1.IsChecked = true;

                txtImeIgralec1.Text = (App.Current as App).zbirkaIgralci[0].ime;


                rbtnIgralec2.IsEnabled = true;
                rbtnUI2.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[1].jeClovek == true)
                    rbtnIgralec2.IsChecked = true;
                else
                    rbtnUI2.IsChecked = true;

                txtImeIgralec2.Text = (App.Current as App).zbirkaIgralci[1].ime;

                if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca1.IsChecked = true;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra1.IsChecked = true;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena1.IsChecked = true;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena1.IsChecked = true;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna1.IsChecked = true;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca2.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra2.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena2.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena2.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna2.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec3.IsEnabled = true;
                rbtnUI3.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[2].jeClovek == true)
                    rbtnIgralec3.IsChecked = true;
                else
                    rbtnUI3.IsChecked = true;

                txtImeIgralec3.Text = (App.Current as App).zbirkaIgralci[2].ime;

                if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca3.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra3.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena3.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena3.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna3.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                txtImeIgralec4.Text = "";
                txtImeIgralec4.IsEnabled = false;
                rbtnIgralec4.IsChecked = false;
                rbtnIgralec4.IsEnabled = false;
                rbtnUI4.IsChecked = false;
                rbtnUI4.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;

                txtImeIgralec5.Text = "";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsChecked = false;
                rbtnIgralec5.IsEnabled = false;
                rbtnUI5.IsChecked = false;
                rbtnUI5.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;
            }
            #endregion

            #region + 1 = 4
            if ((App.Current as App).zbirkaIgralci.Count == 4)
            {
                rbtnIgralec1.IsEnabled = true;
                rbtnUI1.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[0].jeClovek == true)
                    rbtnIgralec1.IsChecked = true;
                else
                    rbtnUI1.IsChecked = true;

                txtImeIgralec1.Text = (App.Current as App).zbirkaIgralci[0].ime;


                rbtnIgralec2.IsEnabled = true;
                rbtnUI2.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[1].jeClovek == true)
                    rbtnIgralec2.IsChecked = true;
                else
                    rbtnUI2.IsChecked = true;

                txtImeIgralec2.Text = (App.Current as App).zbirkaIgralci[1].ime;

                if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca1.IsChecked = true;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra1.IsChecked = true;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena1.IsChecked = true;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena1.IsChecked = true;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna1.IsChecked = true;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca2.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra2.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena2.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena2.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna2.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec3.IsEnabled = true;
                rbtnUI3.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[2].jeClovek == true)
                    rbtnIgralec3.IsChecked = true;
                else
                    rbtnUI3.IsChecked = true;

                txtImeIgralec3.Text = (App.Current as App).zbirkaIgralci[2].ime;

                if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca3.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra3.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena3.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena3.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna3.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec4.IsEnabled = true;
                rbtnUI4.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[3].jeClovek == true)
                    rbtnIgralec4.IsChecked = true;
                else
                    rbtnUI4.IsChecked = true;

                txtImeIgralec4.Text = (App.Current as App).zbirkaIgralci[3].ime;

                if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca4.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra4.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena4.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena4.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna4.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                txtImeIgralec5.Text = "";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsChecked = false;
                rbtnIgralec5.IsEnabled = false;
                rbtnUI5.IsChecked = false;
                rbtnUI5.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;
            }
            #endregion

            #region + 1 = 5
            if ((App.Current as App).zbirkaIgralci.Count == 5)
            {
                rbtnIgralec1.IsEnabled = true;
                rbtnUI1.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[0].jeClovek == true)
                    rbtnIgralec1.IsChecked = true;
                else
                    rbtnUI1.IsChecked = true;

                txtImeIgralec1.Text = (App.Current as App).zbirkaIgralci[0].ime;


                rbtnIgralec2.IsEnabled = true;
                rbtnUI2.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[1].jeClovek == true)
                    rbtnIgralec2.IsChecked = true;
                else
                    rbtnUI2.IsChecked = true;

                txtImeIgralec2.Text = (App.Current as App).zbirkaIgralci[1].ime;

                if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca1.IsChecked = true;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra1.IsChecked = true;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena1.IsChecked = true;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena1.IsChecked = true;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[0].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna1.IsChecked = true;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca2.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra2.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena2.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena2.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[1].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna2.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec3.IsEnabled = true;
                rbtnUI3.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[2].jeClovek == true)
                    rbtnIgralec3.IsChecked = true;
                else
                    rbtnUI3.IsChecked = true;

                txtImeIgralec3.Text = (App.Current as App).zbirkaIgralci[2].ime;

                if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca3.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra3.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena3.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena3.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[2].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna3.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec4.IsEnabled = true;
                rbtnUI4.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[3].jeClovek == true)
                    rbtnIgralec4.IsChecked = true;
                else
                    rbtnUI4.IsChecked = true;

                txtImeIgralec4.Text = (App.Current as App).zbirkaIgralci[3].ime;

                if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca4.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra4.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena4.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena4.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[3].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna4.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }

                rbtnIgralec5.IsEnabled = true;
                rbtnUI5.IsEnabled = true;

                if ((App.Current as App).zbirkaIgralci[4].jeClovek == true)
                    rbtnIgralec5.IsChecked = true;
                else
                    rbtnUI5.IsChecked = true;

                txtImeIgralec5.Text = (App.Current as App).zbirkaIgralci[4].ime;

                if ((App.Current as App).zbirkaIgralci[4].barva == Color.FromArgb(255, 255, 0, 0))
                {
                    rbtnRdeca5.IsChecked = true;
                    rbtnRdeca1.IsEnabled = false;
                    rbtnRdeca2.IsEnabled = false;
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[4].barva == Color.FromArgb(255, 0, 0, 255))
                {
                    rbtnModra5.IsChecked = true;
                    rbtnModra1.IsEnabled = false;
                    rbtnModra2.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[4].barva == Color.FromArgb(255, 0, 128, 0))
                {
                    rbtnZelena5.IsChecked = true;
                    rbtnZelena1.IsEnabled = false;
                    rbtnZelena2.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[4].barva == Color.FromArgb(255, 255, 255, 0))
                {
                    rbtnRumena5.IsChecked = true;
                    rbtnRumena1.IsEnabled = false;
                    rbtnRumena2.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                }
                else if ((App.Current as App).zbirkaIgralci[4].barva == Color.FromArgb(255, 255, 165, 0))
                {
                    rbtnOranzna5.IsChecked = true;
                    rbtnOranzna1.IsEnabled = false;
                    rbtnOranzna2.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                }
            }
            #endregion
        }

        private void sliderMaxIgralcev_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sliderMaxIgralcev != null)
            {
                sliderMaxIgralcev.Value = (int)sliderMaxIgralcev.Value;
                txtIzpisStevilaIgralcev.Text = sliderMaxIgralcev.Value.ToString();
                numIgralci = (int)sliderMaxIgralcev.Value;

                if (!sprememba)
                    OdkleniInZakleni();

                if ((numIgralci - tmp) < 0)
                    PosodobiClovekUI();

                if ((sprememba) && ((numIgralci - tmp) < 0)) // pomanjšal
                {
                    OdkleniInZakleni();
                    PosodobiZmanjsanje();
                }
                else if ((sprememba) && ((numIgralci - tmp) > 0)) // povečal
                {
                    OdkleniInZakleni();
                    PosodobiPovecanje();
                }

                tmp = numIgralci;
            }
        }

        private void OdkleniInZakleni()
        {
            if (numIgralci == 2)
            {
                txtImeIgralec3.Text = "";
                txtImeIgralec3.IsEnabled = false;
                rbtnIgralec3.IsEnabled = false;
                rbtnUI3.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;

                txtImeIgralec4.Text = "";
                txtImeIgralec4.IsEnabled = false;
                rbtnIgralec4.IsEnabled = false;
                rbtnUI4.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;

                txtImeIgralec5.Text = "";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsEnabled = false;
                rbtnUI5.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;
            }

            if ((numIgralci >= 3) && (rbtnIgralec3.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnOranzna3.IsChecked == false))
            {
                rbtnUI3.IsChecked = true;
                txtImeIgralec3.Text = "računalnik3";
                txtImeIgralec3.IsEnabled = false;
                rbtnIgralec3.IsEnabled = true;
                rbtnUI3.IsEnabled = true;
                rbtnRdeca3.IsEnabled = true;
                rbtnModra3.IsEnabled = true;
                rbtnZelena3.IsEnabled = true;
                rbtnRumena3.IsEnabled = true;
                rbtnOranzna3.IsEnabled = true;
            }

            if ((numIgralci >= 4) && (rbtnIgralec4.IsChecked == false) && (rbtnModra4.IsChecked == false) && (rbtnZelena4.IsChecked == false) && (rbtnRumena4.IsChecked == false) && (rbtnOranzna4.IsChecked == false))
            {
                rbtnUI4.IsChecked = true;
                txtImeIgralec4.Text = "računalnik4";
                txtImeIgralec4.IsEnabled = false;
                rbtnIgralec4.IsEnabled = true;
                rbtnUI4.IsEnabled = true;
                rbtnRdeca4.IsEnabled = true;
                rbtnModra4.IsEnabled = true;
                rbtnZelena4.IsEnabled = true;
                rbtnRumena4.IsEnabled = true;
                rbtnOranzna4.IsEnabled = true;
            }

            if ((numIgralci == 5) && (rbtnIgralec5.IsChecked == false) && (rbtnModra5.IsChecked == false) && (rbtnZelena5.IsChecked == false) && (rbtnRumena5.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
            {
                rbtnUI5.IsChecked = true;
                txtImeIgralec5.Text = "računalnik5";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsEnabled = true;
                rbtnUI5.IsEnabled = true;
                rbtnRdeca5.IsEnabled = true;
                rbtnModra5.IsEnabled = true;
                rbtnZelena5.IsEnabled = true;
                rbtnRumena5.IsEnabled = true;
                rbtnOranzna5.IsEnabled = true;
            }
        }

        private void PosodobiClovekUI()
        {
            #region 5 -> 4
            if (numIgralci <= 4)
            {
                rbtnUI5.IsChecked = false;
                rbtnIgralec5.IsChecked = false;
                txtImeIgralec5.Text = "";
                txtImeIgralec5.IsEnabled = false;
                rbtnIgralec5.IsEnabled = false;
                rbtnUI5.IsEnabled = false;

                if (!sprememba)
                {
                    rbtnRdeca5.IsEnabled = false;
                    rbtnModra5.IsEnabled = false;
                    rbtnZelena5.IsEnabled = false;
                    rbtnRumena5.IsEnabled = false;
                    rbtnOranzna5.IsEnabled = false;
                }
            }
            #endregion

            #region 4 -> 3
            if (numIgralci <= 3)
            {
                rbtnUI4.IsChecked = false;
                rbtnIgralec4.IsChecked = false;
                txtImeIgralec4.Text = "";
                txtImeIgralec4.IsEnabled = false;
                rbtnIgralec4.IsEnabled = false;
                rbtnUI4.IsEnabled = false;

                if (!sprememba)
                {
                    rbtnRdeca4.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                }
            }
            #endregion

            #region 3 -> 2
            if (numIgralci == 2)
            {
                rbtnIgralec3.IsChecked = false;
                rbtnUI3.IsChecked = false;
                txtImeIgralec3.Text = "";
                txtImeIgralec3.IsEnabled = false;
                rbtnIgralec3.IsEnabled = false;
                rbtnUI3.IsEnabled = false;

                if (!sprememba)
                {
                    rbtnRdeca3.IsEnabled = false;
                    rbtnModra3.IsEnabled = false;
                    rbtnZelena3.IsEnabled = false;
                    rbtnRumena3.IsEnabled = false;
                    rbtnOranzna3.IsEnabled = false;
                }
            }
            #endregion
        }

        private void PosodobiZmanjsanje()
        {
            #region 5 -> 4
            if (numIgralci <= 4)
            {
                if (barvaIgralec5 != 0)
                {
                    if (barvaIgralec5 == 1)
                    {
                        rbtnRdeca5.IsChecked = false;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca2.IsEnabled = true;
                        rbtnRdeca1.IsEnabled = true;
                    }
                    else if (barvaIgralec5 == 2)
                    {
                        rbtnModra5.IsChecked = false;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra3.IsEnabled = true;
                        rbtnModra2.IsEnabled = true;
                        rbtnModra1.IsEnabled = true;
                    }
                    else if (barvaIgralec5 == 3)
                    {
                        rbtnZelena5.IsChecked = false;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena2.IsEnabled = true;
                        rbtnZelena1.IsEnabled = true;
                    }
                    else if (barvaIgralec5 == 4)
                    {
                        rbtnRumena5.IsChecked = false;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena2.IsEnabled = true;
                        rbtnRumena1.IsEnabled = true;
                    }
                    else if (barvaIgralec5 == 5)
                    {
                        rbtnOranzna5.IsChecked = false;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna2.IsEnabled = true;
                        rbtnOranzna1.IsEnabled = true;
                    }
                }

                if (barvaIgralec1 == 1)
                {
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                }
                else if (barvaIgralec1 == 2)
                {
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                }
                else if (barvaIgralec1 == 3)
                {
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                }
                else if (barvaIgralec1 == 4)
                {
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                }
                else if (barvaIgralec1 == 5)
                {
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                }

                if (barvaIgralec2 == 1)
                {
                    rbtnRdeca3.IsEnabled = false;
                    rbtnRdeca4.IsEnabled = false;
                }
                else if (barvaIgralec2 == 2)
                {
                    rbtnModra3.IsEnabled = false;
                    rbtnModra4.IsEnabled = false;
                }
                else if (barvaIgralec2 == 3)
                {
                    rbtnZelena3.IsEnabled = false;
                    rbtnZelena4.IsEnabled = false;
                }
                else if (barvaIgralec2 == 4)
                {
                    rbtnRumena3.IsEnabled = false;
                    rbtnRumena4.IsEnabled = false;
                }
                else if (barvaIgralec2 == 5)
                {
                    rbtnOranzna3.IsEnabled = false;
                    rbtnOranzna4.IsEnabled = false;
                }

                if (barvaIgralec4 == 1)
                    rbtnRdeca3.IsEnabled = false;
                else if (barvaIgralec4 == 2)
                    rbtnModra3.IsEnabled = false;
                else if (barvaIgralec4 == 3)
                    rbtnZelena3.IsEnabled = false;
                else if (barvaIgralec4 == 4)
                    rbtnRumena3.IsEnabled = false;
                else if (barvaIgralec4 == 5)
                    rbtnOranzna3.IsEnabled = false;

                if (barvaIgralec3 == 1)
                    rbtnRdeca4.IsEnabled = false;
                else if (barvaIgralec3 == 2)
                    rbtnModra4.IsEnabled = false;
                else if (barvaIgralec3 == 3)
                    rbtnZelena4.IsEnabled = false;
                else if (barvaIgralec3 == 4)
                    rbtnRumena4.IsEnabled = false;
                else if (barvaIgralec3 == 5)
                    rbtnOranzna4.IsEnabled = false;

                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;
                barvaIgralec5 = 0;
            }
            #endregion

            #region 4 -> 3
            if (numIgralci <= 3)
            {
                if (barvaIgralec4 != 0)
                {
                    if (barvaIgralec4 == 1)
                    {
                        rbtnRdeca4.IsChecked = false;
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca2.IsEnabled = true;
                        rbtnRdeca1.IsEnabled = true;
                    }
                    else if (barvaIgralec4 == 2)
                    {
                        rbtnModra4.IsChecked = false;
                        rbtnModra3.IsEnabled = true;
                        rbtnModra2.IsEnabled = true;
                        rbtnModra1.IsEnabled = true;
                    }
                    else if (barvaIgralec4 == 3)
                    {
                        rbtnZelena4.IsChecked = false;
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena2.IsEnabled = true;
                        rbtnZelena1.IsEnabled = true;
                    }
                    else if (barvaIgralec4 == 4)
                    {
                        rbtnRumena4.IsChecked = false;
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena2.IsEnabled = true;
                        rbtnRumena1.IsEnabled = true;
                    }
                    else if (barvaIgralec4 == 5)
                    {
                        rbtnOranzna4.IsChecked = false;
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna2.IsEnabled = true;
                        rbtnOranzna1.IsEnabled = true;
                    }
                }

                if (barvaIgralec1 == 1)
                    rbtnRdeca3.IsEnabled = false;
                else if (barvaIgralec1 == 2)
                    rbtnModra3.IsEnabled = false;
                else if (barvaIgralec1 == 3)
                    rbtnZelena3.IsEnabled = false;
                else if (barvaIgralec1 == 4)
                    rbtnRumena3.IsEnabled = false;
                else if (barvaIgralec1 == 5)
                    rbtnOranzna3.IsEnabled = false;

                if (barvaIgralec2 == 1)
                    rbtnRdeca3.IsEnabled = false;
                else if (barvaIgralec2 == 2)
                    rbtnModra3.IsEnabled = false;
                else if (barvaIgralec2 == 3)
                    rbtnZelena3.IsEnabled = false;
                else if (barvaIgralec2 == 4)
                    rbtnRumena3.IsEnabled = false;
                else if (barvaIgralec2 == 5)
                    rbtnOranzna3.IsEnabled = false;

                rbtnRdeca4.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;
                barvaIgralec4 = 0;
            }
            #endregion

            #region 3 -> 2
            if (numIgralci == 2)
            {
                if (barvaIgralec3 != 0)
                {
                    if (barvaIgralec3 == 1)
                    {
                        rbtnRdeca3.IsChecked = false;
                        rbtnRdeca2.IsEnabled = true;
                        rbtnRdeca1.IsEnabled = true;
                    }
                    else if (barvaIgralec3 == 2)
                    {
                        rbtnModra3.IsChecked = false;
                        rbtnModra2.IsEnabled = true;
                        rbtnModra1.IsEnabled = true;
                    }
                    else if (barvaIgralec3 == 3)
                    {
                        rbtnZelena3.IsChecked = false;
                        rbtnZelena2.IsEnabled = true;
                        rbtnZelena1.IsEnabled = true;
                    }
                    else if (barvaIgralec3 == 4)
                    {
                        rbtnRumena3.IsChecked = false;
                        rbtnRumena2.IsEnabled = true;
                        rbtnRumena1.IsEnabled = true;
                    }
                    else if (barvaIgralec3 == 5)
                    {
                        rbtnOranzna3.IsChecked = false;
                        rbtnOranzna2.IsEnabled = true;
                        rbtnOranzna1.IsEnabled = true;
                    }
                }

                rbtnRdeca3.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;
                barvaIgralec3 = 0;
            }
            #endregion
        }

        private void PosodobiPovecanje()
        {
            #region 2 -> 3
            if (numIgralci >= 3)
            {
                if (barvaIgralec1 != 0)
                {
                    if (barvaIgralec1 == 1)
                    {
                        rbtnRdeca3.IsEnabled = false;
                        rbtnRdeca4.IsEnabled = false;
                        rbtnRdeca5.IsEnabled = false;
                    }
                    else if (barvaIgralec1 == 2)
                    {
                        rbtnModra3.IsEnabled = false;
                        rbtnModra4.IsEnabled = false;
                        rbtnModra5.IsEnabled = false;
                    }
                    else if (barvaIgralec1 == 3)
                    {
                        rbtnZelena3.IsEnabled = false;
                        rbtnZelena4.IsEnabled = false;
                        rbtnZelena5.IsEnabled = false;
                    }
                    else if (barvaIgralec1 == 4)
                    {
                        rbtnRumena3.IsEnabled = false;
                        rbtnRumena4.IsEnabled = false;
                        rbtnRumena5.IsEnabled = false;
                    }
                    else if (barvaIgralec1 == 5)
                    {
                        rbtnOranzna3.IsEnabled = false;
                        rbtnOranzna4.IsEnabled = false;
                        rbtnOranzna5.IsEnabled = false;
                    }
                }

                if (barvaIgralec2 != 0)
                {
                    if (barvaIgralec2 == 1)
                    {
                        rbtnRdeca3.IsEnabled = false;
                        rbtnRdeca4.IsEnabled = false;
                        rbtnRdeca5.IsEnabled = false;
                    }
                    else if (barvaIgralec2 == 2)
                    {
                        rbtnModra3.IsEnabled = false;
                        rbtnModra4.IsEnabled = false;
                        rbtnModra5.IsEnabled = false;
                    }
                    else if (barvaIgralec2 == 3)
                    {
                        rbtnZelena3.IsEnabled = false;
                        rbtnZelena4.IsEnabled = false;
                        rbtnZelena5.IsEnabled = false;
                    }
                    else if (barvaIgralec2 == 4)
                    {
                        rbtnRumena3.IsEnabled = false;
                        rbtnRumena4.IsEnabled = false;
                        rbtnRumena5.IsEnabled = false;
                    }
                    else if (barvaIgralec2 == 5)
                    {
                        rbtnOranzna3.IsEnabled = false;
                        rbtnOranzna4.IsEnabled = false;
                        rbtnOranzna5.IsEnabled = false;
                    }
                }
            }
            #endregion

            #region 3 -> 4
            if (numIgralci >= 4)
            {
                if (barvaIgralec3 != 0)
                {
                    if (barvaIgralec3 == 1)
                    {
                        rbtnRdeca4.IsEnabled = false;
                        rbtnRdeca5.IsEnabled = false;
                    }
                    else if (barvaIgralec3 == 2)
                    {
                        rbtnModra4.IsEnabled = false;
                        rbtnModra5.IsEnabled = false;
                    }
                    else if (barvaIgralec3 == 3)
                    {
                        rbtnZelena4.IsEnabled = false;
                        rbtnZelena5.IsEnabled = false;
                    }
                    else if (barvaIgralec3 == 4)
                    {
                        rbtnRumena4.IsEnabled = false;
                        rbtnRumena5.IsEnabled = false;
                    }
                    else if (barvaIgralec3 == 5)
                    {
                        rbtnOranzna4.IsEnabled = false;
                        rbtnOranzna5.IsEnabled = false;
                    }
                }
            }
            #endregion

            #region 4 -> 5
            if (numIgralci == 5)
            {
                if (barvaIgralec4 != 0)
                {
                    if (barvaIgralec4 == 1)
                    {
                        rbtnRdeca3.IsEnabled = false;
                        rbtnRdeca5.IsEnabled = false;
                    }
                    else if (barvaIgralec4 == 2)
                    {
                        rbtnModra3.IsEnabled = false;
                        rbtnModra5.IsEnabled = false;
                    }
                    else if (barvaIgralec4 == 3)
                    {
                        rbtnZelena3.IsEnabled = false;
                        rbtnZelena5.IsEnabled = false;
                    }
                    else if (barvaIgralec4 == 4)
                    {
                        rbtnRumena3.IsEnabled = false;
                        rbtnRumena5.IsEnabled = false;
                    }
                    else if (barvaIgralec4 == 5)
                    {
                        rbtnOranzna3.IsEnabled = false;
                        rbtnOranzna5.IsEnabled = false;
                    }
                }
            }
            #endregion
        }

        #region funkcije -> rbtnRdeca

        private void rbtnRdeca1_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRdeca2.IsChecked == false) && (rbtnRdeca3.IsChecked == false) && (rbtnRdeca4.IsChecked == false) && (rbtnRdeca5.IsChecked == false))
            {
                #region Modra
                if (rbtnModra1.IsChecked == true)
                {
                    rbtnModra1.IsChecked = false;

                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena1.IsChecked == true)
                {
                    rbtnZelena1.IsChecked = false;

                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena1.IsChecked == true)
                {
                    rbtnRumena1.IsChecked = false;

                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna1.IsChecked == true)
                {
                    rbtnOranzna1.IsChecked = false;

                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRdeca1.IsChecked = true;

                rbtnRdeca2.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;

                sprememba = true;
                barvaIgralec1 = 1;
            }
        }

        private void rbtnRdeca2_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRdeca1.IsChecked == false) && (rbtnRdeca3.IsChecked == false) && (rbtnRdeca4.IsChecked == false) && (rbtnRdeca5.IsChecked == false))
            {
                #region Modra
                if (rbtnModra2.IsChecked == true)
                {
                    rbtnModra2.IsChecked = false;

                    rbtnModra1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena2.IsChecked == true)
                {
                    rbtnZelena2.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena2.IsChecked == true)
                {
                    rbtnRumena2.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna2.IsChecked == true)
                {
                    rbtnOranzna2.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRdeca2.IsChecked = true;

                rbtnRdeca1.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;

                sprememba = true;
                barvaIgralec2 = 1;
            }
        }

        private void rbtnRdeca3_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRdeca1.IsChecked == false) && (rbtnRdeca2.IsChecked == false) && (rbtnRdeca4.IsChecked == false) && (rbtnRdeca5.IsChecked == false))
            {
                #region Modra
                if (rbtnModra3.IsChecked == true)
                {
                    rbtnModra3.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnModra4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena3.IsChecked == true)
                {
                    rbtnZelena3.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnZelena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena3.IsChecked == true)
                {
                    rbtnRumena3.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRumena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna3.IsChecked == true)
                {
                    rbtnOranzna3.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnOranzna4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRdeca3.IsChecked = true;

                rbtnRdeca1.IsEnabled = false;
                rbtnRdeca2.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;

                sprememba = true;
                barvaIgralec3 = 1;
            }
        }

        private void rbtnRdeca4_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRdeca1.IsChecked == false) && (rbtnRdeca2.IsChecked == false) && (rbtnRdeca3.IsChecked == false) && (rbtnRdeca5.IsChecked == false))
            {
                #region Modra
                if (rbtnModra4.IsChecked == true)
                {
                    rbtnModra4.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnModra5.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena4.IsChecked == true)
                {
                    rbtnZelena4.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnZelena5.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena4.IsChecked == true)
                {
                    rbtnRumena4.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna4.IsChecked == true)
                {
                    rbtnOranzna4.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnOranzna5.IsEnabled = true;
                }
                #endregion

                rbtnRdeca4.IsChecked = true;

                rbtnRdeca1.IsEnabled = false;
                rbtnRdeca2.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnRdeca5.IsEnabled = false;

                sprememba = true;
                barvaIgralec4 = 1;
            }
        }

        private void rbtnRdeca5_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRdeca1.IsChecked == false) && (rbtnRdeca2.IsChecked == false) && (rbtnRdeca3.IsChecked == false) && (rbtnRdeca4.IsChecked == false))
            {
                #region Modra
                if (rbtnModra5.IsChecked == true)
                {
                    rbtnModra5.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;
                    rbtnModra4.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena5.IsChecked == true)
                {
                    rbtnZelena5.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;
                    rbtnZelena4.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena5.IsChecked == true)
                {
                    rbtnRumena5.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;
                    rbtnRumena4.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna5.IsChecked == true)
                {
                    rbtnOranzna5.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;
                    rbtnOranzna4.IsEnabled = true;
                }
                #endregion

                rbtnRdeca5.IsChecked = true;

                rbtnRdeca1.IsEnabled = false;
                rbtnRdeca2.IsEnabled = false;
                rbtnRdeca3.IsEnabled = false;
                rbtnRdeca4.IsEnabled = false;

                sprememba = true;
                barvaIgralec5 = 1;
            }
        }

        #endregion

        #region funkcije -> rbtnModra

        private void rbtnModra1_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnModra2.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnModra4.IsChecked == false) && (rbtnModra5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca1.IsChecked == true)
                {
                    rbtnRdeca1.IsChecked = false;

                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena1.IsChecked == true)
                {
                    rbtnZelena1.IsChecked = false;

                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena1.IsChecked == true)
                {
                    rbtnRumena1.IsChecked = false;

                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna1.IsChecked == true)
                {
                    rbtnOranzna1.IsChecked = false;

                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnModra1.IsChecked = true;

                rbtnModra2.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnModra5.IsEnabled = false;

                sprememba = true;
                barvaIgralec1 = 2;
            }
        }

        private void rbtnModra2_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnModra1.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnModra4.IsChecked == false) && (rbtnModra5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca2.IsChecked == true)
                {
                    rbtnRdeca2.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena2.IsChecked == true)
                {
                    rbtnZelena2.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena2.IsChecked == true)
                {
                    rbtnRumena2.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna2.IsChecked == true)
                {
                    rbtnOranzna2.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnModra2.IsChecked = true;

                rbtnModra1.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnModra5.IsEnabled = false;

                sprememba = true;
                barvaIgralec2 = 2;
            }
        }

        private void rbtnModra3_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnModra1.IsChecked == false) && (rbtnModra2.IsChecked == false) && (rbtnModra4.IsChecked == false) && (rbtnModra5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca3.IsChecked == true)
                {
                    rbtnRdeca3.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRdeca4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena3.IsChecked == true)
                {
                    rbtnZelena3.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnZelena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena3.IsChecked == true)
                {
                    rbtnRumena3.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRumena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna3.IsChecked == true)
                {
                    rbtnOranzna3.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnOranzna4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnModra3.IsChecked = true;

                rbtnModra1.IsEnabled = false;
                rbtnModra2.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnModra5.IsEnabled = false;

                sprememba = true;
                barvaIgralec3 = 2;
            }
        }

        private void rbtnModra4_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnModra1.IsChecked == false) && (rbtnModra2.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnModra5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca4.IsChecked == true)
                {
                    rbtnRdeca4.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRdeca5.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena4.IsChecked == true)
                {
                    rbtnZelena4.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnZelena5.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena4.IsChecked == true)
                {
                    rbtnRumena4.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna4.IsChecked == true)
                {
                    rbtnOranzna4.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnOranzna5.IsEnabled = true;
                }
                #endregion

                rbtnModra4.IsChecked = true;

                rbtnModra1.IsEnabled = false;
                rbtnModra2.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnModra5.IsEnabled = false;

                sprememba = true;
                barvaIgralec4 = 2;
            }
        }

        private void rbtnModra5_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnModra1.IsChecked == false) && (rbtnModra2.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnModra4.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca5.IsChecked == true)
                {
                    rbtnRdeca5.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;
                    rbtnRdeca4.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena5.IsChecked == true)
                {
                    rbtnZelena5.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;
                    rbtnZelena4.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena5.IsChecked == true)
                {
                    rbtnRumena5.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;
                    rbtnRumena4.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna5.IsChecked == true)
                {
                    rbtnOranzna5.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;
                    rbtnOranzna4.IsEnabled = true;
                }
                #endregion

                rbtnModra5.IsChecked = true;

                rbtnModra1.IsEnabled = false;
                rbtnModra2.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnModra4.IsEnabled = false;

                sprememba = true;
                barvaIgralec5 = 2;
            }
        }

        #endregion

        #region funkcije -> rbtnZelena

        private void rbtnZelena1_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnZelena2.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnZelena4.IsChecked == false) && (rbtnZelena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca1.IsChecked == true)
                {
                    rbtnRdeca1.IsChecked = false;

                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra1.IsChecked == true)
                {
                    rbtnModra1.IsChecked = false;

                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena1.IsChecked == true)
                {
                    rbtnRumena1.IsChecked = false;

                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna1.IsChecked == true)
                {
                    rbtnOranzna1.IsChecked = false;

                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnZelena1.IsChecked = true;
                    
                rbtnZelena2.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec1 = 3;
            }
        }

        private void rbtnZelena2_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnZelena1.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnZelena4.IsChecked == false) && (rbtnZelena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca2.IsChecked == true)
                {
                    rbtnRdeca2.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra2.IsChecked == true)
                {
                    rbtnModra2.IsChecked = false;

                    rbtnModra1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena2.IsChecked == true)
                {
                    rbtnRumena2.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna2.IsChecked == true)
                {
                    rbtnOranzna2.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnZelena2.IsChecked = true;

                rbtnZelena1.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec2 = 3;
            }
        }

        private void rbtnZelena3_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnZelena1.IsChecked == false) && (rbtnZelena2.IsChecked == false) && (rbtnZelena4.IsChecked == false) && (rbtnZelena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca3.IsChecked == true)
                {
                    rbtnRdeca3.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRdeca4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra3.IsChecked == true)
                {
                    rbtnModra3.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnModra4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena3.IsChecked == true)
                {
                    rbtnRumena3.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRumena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna3.IsChecked == true)
                {
                    rbtnOranzna3.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnOranzna4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnZelena3.IsChecked = true;

                rbtnZelena1.IsEnabled = false;
                rbtnZelena2.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec3 = 3;
            }
        }

        private void rbtnZelena4_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnZelena1.IsChecked == false) && (rbtnZelena2.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnZelena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca4.IsChecked == true)
                {
                    rbtnRdeca4.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRdeca5.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra4.IsChecked == true)
                {
                    rbtnModra4.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnModra5.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena4.IsChecked == true)
                {
                    rbtnRumena4.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna4.IsChecked == true)
                {
                    rbtnOranzna4.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnOranzna5.IsEnabled = true;
                }
                #endregion

                rbtnZelena4.IsChecked = true;

                rbtnZelena1.IsEnabled = false;
                rbtnZelena2.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec4 = 3;
            }
        }

        private void rbtnZelena5_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnZelena1.IsChecked == false) && (rbtnZelena2.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnZelena4.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca5.IsChecked == true)
                {
                    rbtnRdeca5.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;
                    rbtnRdeca4.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra5.IsChecked == true)
                {
                    rbtnModra5.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;
                    rbtnModra4.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena5.IsChecked == true)
                {
                    rbtnRumena5.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;
                    rbtnRumena4.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna5.IsChecked == true)
                {
                    rbtnOranzna5.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;
                    rbtnOranzna4.IsEnabled = true;
                }
                #endregion

                rbtnZelena5.IsChecked = true;

                rbtnZelena1.IsEnabled = false;
                rbtnZelena2.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;

                sprememba = true;
                barvaIgralec5 = 3;
            }
        }

        #endregion

        #region funkcije -> rbtnRumena

        private void rbtnRumena1_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRumena2.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnRumena4.IsChecked == false) && (rbtnRumena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca1.IsChecked == true)
                {
                    rbtnRdeca1.IsChecked = false;

                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra1.IsChecked == true)
                {
                    rbtnModra1.IsChecked = false;

                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena1.IsChecked == true)
                {
                    rbtnZelena1.IsChecked = false;

                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna1.IsChecked == true)
                {
                    rbtnOranzna1.IsChecked = false;

                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRumena1.IsChecked = true;

                rbtnRumena2.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec1 = 4;
            }
        }

        private void rbtnRumena2_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRumena1.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnRumena4.IsChecked == false) && (rbtnRumena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca2.IsChecked == true)
                {
                    rbtnRdeca2.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra2.IsChecked == true)
                {
                    rbtnModra2.IsChecked = false;

                    rbtnModra1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena2.IsChecked == true)
                {
                    rbtnZelena2.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna2.IsChecked == true)
                {
                    rbtnOranzna2.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnOranzna3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna3.IsEnabled = true;
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRumena2.IsChecked = true;

                rbtnRumena1.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec2 = 4;
            }
        }

        private void rbtnRumena3_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRumena1.IsChecked == false) && (rbtnRumena2.IsChecked == false) && (rbtnRumena4.IsChecked == false) && (rbtnRumena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca3.IsChecked == true)
                {
                    rbtnRdeca3.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRdeca4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra3.IsChecked == true)
                {
                    rbtnModra3.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnModra4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena3.IsChecked == true)
                {
                    rbtnZelena3.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnZelena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna3.IsChecked == true)
                {
                    rbtnOranzna3.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnOranzna4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnOranzna4.IsEnabled = true;
                        rbtnOranzna5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnRumena3.IsChecked = true;

                rbtnRumena1.IsEnabled = false;
                rbtnRumena2.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec3 = 4;
            }
        }

        private void rbtnRumena4_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRumena1.IsChecked == false) && (rbtnRumena2.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnRumena5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca4.IsChecked == true)
                {
                    rbtnRdeca4.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRdeca5.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra4.IsChecked == true)
                {
                    rbtnModra4.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnModra5.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena4.IsChecked == true)
                {
                    rbtnZelena4.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna4.IsChecked == true)
                {
                    rbtnOranzna4.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnOranzna5.IsEnabled = true;
                }
                #endregion

                rbtnRumena4.IsChecked = true;

                rbtnRumena1.IsEnabled = false;
                rbtnRumena2.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;

                sprememba = true;
                barvaIgralec4 = 4;
            }
        }

        private void rbtnRumena5_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnRumena1.IsChecked == false) && (rbtnRumena2.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnRumena4.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca5.IsChecked == true)
                {
                    rbtnRdeca5.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;
                    rbtnRdeca4.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra5.IsChecked == true)
                {
                    rbtnModra5.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;
                    rbtnModra4.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena5.IsChecked == true)
                {
                    rbtnZelena5.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;
                    rbtnZelena4.IsEnabled = true;
                }
                #endregion
                #region Oranžna
                else if (rbtnOranzna5.IsChecked == true)
                {
                    rbtnOranzna5.IsChecked = false;

                    rbtnOranzna1.IsEnabled = true;
                    rbtnOranzna2.IsEnabled = true;
                    rbtnOranzna3.IsEnabled = true;
                    rbtnOranzna4.IsEnabled = true;
                }
                #endregion

                rbtnRumena5.IsChecked = true;

                rbtnRumena1.IsEnabled = false;
                rbtnRumena2.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;

                sprememba = true;
                barvaIgralec5 = 4;
            }
        }

        #endregion

        #region funkcije -> rbtnOranžna

        private void rbtnOranzna1_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnOranzna2.IsChecked == false) && (rbtnOranzna3.IsChecked == false) && (rbtnOranzna4.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca1.IsChecked == true)
                {
                    rbtnRdeca1.IsChecked = false;

                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra1.IsChecked == true)
                {
                    rbtnModra1.IsChecked = false;

                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena1.IsChecked == true)
                {
                    rbtnZelena1.IsChecked = false;

                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena1.IsChecked == true)
                {
                    rbtnRumena1.IsChecked = false;

                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnOranzna1.IsChecked = true;

                rbtnOranzna2.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;

                sprememba = true;
                barvaIgralec1 = 5;
            }
        }

        private void rbtnOranzna2_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnOranzna1.IsChecked == false) && (rbtnOranzna3.IsChecked == false) && (rbtnOranzna4.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca2.IsChecked == true)
                {
                    rbtnRdeca2.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRdeca3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca3.IsEnabled = true;
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra2.IsChecked == true)
                {
                    rbtnModra2.IsChecked = false;

                    rbtnModra1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnModra3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnModra3.IsEnabled = true;
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena2.IsChecked == true)
                {
                    rbtnZelena2.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnZelena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnZelena3.IsEnabled = true;
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena2.IsChecked == true)
                {
                    rbtnRumena2.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;

                    if (numIgralci == 3)
                        rbtnRumena3.IsEnabled = true;
                    else if (numIgralci == 4)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                    }
                    else if (numIgralci == 5)
                    {
                        rbtnRumena3.IsEnabled = true;
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnOranzna2.IsChecked = true;

                rbtnOranzna1.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;

                sprememba = true;
                barvaIgralec2 = 5;
            }
        }

        private void rbtnOranzna3_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnOranzna1.IsChecked == false) && (rbtnOranzna2.IsChecked == false) && (rbtnOranzna4.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca3.IsChecked == true)
                {
                    rbtnRdeca3.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRdeca4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRdeca4.IsEnabled = true;
                        rbtnRdeca5.IsEnabled = true;
                    }
                }
                #endregion
                #region Modra
                else if (rbtnModra3.IsChecked == true)
                {
                    rbtnModra3.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnModra4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnModra4.IsEnabled = true;
                        rbtnModra5.IsEnabled = true;
                    }
                }
                #endregion
                #region Zelena
                else if (rbtnZelena3.IsChecked == true)
                {
                    rbtnZelena3.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnZelena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnZelena4.IsEnabled = true;
                        rbtnZelena5.IsEnabled = true;
                    }
                }
                #endregion
                #region Rumena
                else if (rbtnRumena3.IsChecked == true)
                {
                    rbtnRumena3.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;

                    if (numIgralci == 4)
                        rbtnRumena4.IsEnabled = true;
                    else if (numIgralci == 5)
                    {
                        rbtnRumena4.IsEnabled = true;
                        rbtnRumena5.IsEnabled = true;
                    }
                }
                #endregion

                rbtnOranzna3.IsChecked = true;

                rbtnOranzna1.IsEnabled = false;
                rbtnOranzna2.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;

                sprememba = true;
                barvaIgralec3 = 5;
            }
        }

        private void rbtnOranzna4_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnOranzna1.IsChecked == false) && (rbtnOranzna2.IsChecked == false) && (rbtnOranzna3.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca4.IsChecked == true)
                {
                    rbtnRdeca4.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRdeca5.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra4.IsChecked == true)
                {
                    rbtnModra4.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnModra5.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena4.IsChecked == true)
                {
                    rbtnZelena4.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena4.IsChecked == true)
                {
                    rbtnRumena4.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;

                    if (numIgralci == 5)
                        rbtnRumena5.IsEnabled = true;
                }
                #endregion

                rbtnOranzna4.IsChecked = true;

                rbtnOranzna1.IsEnabled = false;
                rbtnOranzna2.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;

                sprememba = true;
                barvaIgralec4 = 5;
            }
        }

        private void rbtnOranzna5_Checked(object sender, RoutedEventArgs e)
        {
            if ((rbtnOranzna1.IsChecked == false) && (rbtnOranzna2.IsChecked == false) && (rbtnOranzna3.IsChecked == false) && (rbtnOranzna4.IsChecked == false))
            {
                #region Rdeča
                if (rbtnRdeca5.IsChecked == true)
                {
                    rbtnRdeca5.IsChecked = false;

                    rbtnRdeca1.IsEnabled = true;
                    rbtnRdeca2.IsEnabled = true;
                    rbtnRdeca3.IsEnabled = true;
                    rbtnRdeca4.IsEnabled = true;
                }
                #endregion
                #region Modra
                else if (rbtnModra5.IsChecked == true)
                {
                    rbtnModra5.IsChecked = false;

                    rbtnModra1.IsEnabled = true;
                    rbtnModra2.IsEnabled = true;
                    rbtnModra3.IsEnabled = true;
                    rbtnModra4.IsEnabled = true;
                }
                #endregion
                #region Zelena
                else if (rbtnZelena5.IsChecked == true)
                {
                    rbtnZelena5.IsChecked = false;

                    rbtnZelena1.IsEnabled = true;
                    rbtnZelena2.IsEnabled = true;
                    rbtnZelena3.IsEnabled = true;
                    rbtnZelena4.IsEnabled = true;
                }
                #endregion
                #region Rumena
                else if (rbtnRumena5.IsChecked == true)
                {
                    rbtnRumena5.IsChecked = false;

                    rbtnRumena1.IsEnabled = true;
                    rbtnRumena2.IsEnabled = true;
                    rbtnRumena3.IsEnabled = true;
                    rbtnRumena4.IsEnabled = true;
                }
                #endregion

                rbtnOranzna5.IsChecked = true;

                rbtnOranzna1.IsEnabled = false;
                rbtnOranzna2.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;

                sprememba = true;
                barvaIgralec5 = 5;
            }
        }

        #endregion

        private void btnPonastavi_Click(object sender, RoutedEventArgs e)
        {
            if (MessageBox.Show("Ali želite res ponastaviti vse vrednosti?", "Ponastavitev", MessageBoxButton.OKCancel) == MessageBoxResult.OK)
            {
                sliderMaxIgralcev.Value = (int)sliderMaxIgralcev.Minimum;
                txtIzpisStevilaIgralcev.Text = sliderMaxIgralcev.Value.ToString();
                sprememba = false;

                rbtnRdeca1.IsChecked = false;
                rbtnRdeca2.IsChecked = false;
                rbtnRdeca3.IsChecked = false;
                rbtnRdeca4.IsChecked = false;
                rbtnRdeca5.IsChecked = false;

                rbtnModra1.IsChecked = false;
                rbtnModra2.IsChecked = false;
                rbtnModra3.IsChecked = false;
                rbtnModra4.IsChecked = false;
                rbtnModra5.IsChecked = false;

                rbtnZelena1.IsChecked = false;
                rbtnZelena2.IsChecked = false;
                rbtnZelena3.IsChecked = false;
                rbtnZelena4.IsChecked = false;
                rbtnZelena5.IsChecked = false;

                rbtnRumena1.IsChecked = false;
                rbtnRumena2.IsChecked = false;
                rbtnRumena3.IsChecked = false;
                rbtnRumena4.IsChecked = false;
                rbtnRumena5.IsChecked = false;

                rbtnOranzna1.IsChecked = false;
                rbtnOranzna2.IsChecked = false;
                rbtnOranzna3.IsChecked = false;
                rbtnOranzna4.IsChecked = false;
                rbtnOranzna5.IsChecked = false;

                barvaIgralec1 = 0;
                barvaIgralec2 = 0;
                barvaIgralec3 = 0;
                barvaIgralec4 = 0;
                barvaIgralec5 = 0;


                rbtnRdeca1.IsEnabled = true;
                rbtnModra1.IsEnabled = true;
                rbtnZelena1.IsEnabled = true;
                rbtnRumena1.IsEnabled = true;
                rbtnOranzna1.IsEnabled = true;

                rbtnRdeca2.IsEnabled = true;
                rbtnModra2.IsEnabled = true;
                rbtnZelena2.IsEnabled = true;
                rbtnRumena2.IsEnabled = true;
                rbtnOranzna2.IsEnabled = true;

                rbtnRdeca3.IsEnabled = false;
                rbtnModra3.IsEnabled = false;
                rbtnZelena3.IsEnabled = false;
                rbtnRumena3.IsEnabled = false;
                rbtnOranzna3.IsEnabled = false;

                rbtnRdeca4.IsEnabled = false;
                rbtnModra4.IsEnabled = false;
                rbtnZelena4.IsEnabled = false;
                rbtnRumena4.IsEnabled = false;
                rbtnOranzna4.IsEnabled = false;

                rbtnRdeca5.IsEnabled = false;
                rbtnModra5.IsEnabled = false;
                rbtnZelena5.IsEnabled = false;
                rbtnRumena5.IsEnabled = false;
                rbtnOranzna5.IsEnabled = false;


                rbtnUI1.IsChecked = false;
                rbtnUI2.IsChecked = true;
                rbtnUI3.IsChecked = false;
                rbtnUI4.IsChecked = false;
                rbtnUI5.IsChecked = false;

                rbtnIgralec1.IsChecked = true;
                rbtnIgralec2.IsChecked = false;
                rbtnIgralec3.IsChecked = false;
                rbtnIgralec4.IsChecked = false;
                rbtnIgralec5.IsChecked = false;

                txtImeIgralec1.Text = "igralec1";
                txtImeIgralec2.Text = "računalnik2";
                txtImeIgralec3.Text = "";
                txtImeIgralec4.Text = "";
                txtImeIgralec5.Text = "";

                txtImeIgralec1.IsEnabled = true;
                txtImeIgralec2.IsEnabled = false;
                txtImeIgralec3.IsEnabled = false;
                txtImeIgralec4.IsEnabled = false;
                txtImeIgralec5.IsEnabled = false;
            }
        }
        
        #region radio button -> človek in računalnik

        private void rbtnIgralec1_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec1.Text = "igralec 1";
            txtImeIgralec1.IsEnabled = true;
        }

        private void rbtnIgralec2_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec2.Text = "igralec 2";
            txtImeIgralec2.IsEnabled = true;
        }

        private void rbtnIgralec3_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec3.Text = "igralec 3";
            txtImeIgralec3.IsEnabled = true;
        }

        private void rbtnIgralec4_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec4.Text = "igralec 4";
            txtImeIgralec4.IsEnabled = true;
        }

        private void rbtnIgralec5_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec5.Text = "igralec 5";
            txtImeIgralec5.IsEnabled = true;
        }

        private void rbtnUI1_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec1.Text = "računalnik 1";
            txtImeIgralec1.IsEnabled = false;
        }

        private void rbtnUI2_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec2.Text = "računalnik 2";
            txtImeIgralec2.IsEnabled = false;
        }

        private void rbtnUI3_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec3.Text = "računalnik 3";
            txtImeIgralec3.IsEnabled = false;
        }

        private void rbtnUI4_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec4.Text = "računalnik 4";
            txtImeIgralec4.IsEnabled = false;
        }

        private void rbtnUI5_Checked(object sender, RoutedEventArgs e)
        {
            txtImeIgralec5.Text = "računalnik 5";
            txtImeIgralec5.IsEnabled = false;
        }

        #endregion

        private void DobiPodatke()
        {
            bool clovek = false;

            #region Proste barve
            List<Color> prosteBarve = new List<Color>();

            if ((rbtnRdeca1.IsChecked == false) && (rbtnRdeca2.IsChecked == false) && (rbtnRdeca3.IsChecked == false) && (rbtnRdeca4.IsChecked == false) && (rbtnRdeca5.IsChecked == false))
                prosteBarve.Add(Color.FromArgb(255, 255, 0, 0));

            if ((rbtnModra1.IsChecked == false) && (rbtnModra2.IsChecked == false) && (rbtnModra3.IsChecked == false) && (rbtnModra4.IsChecked == false) && (rbtnModra5.IsChecked == false))
                prosteBarve.Add(Color.FromArgb(255, 0, 0, 255));

            if ((rbtnZelena1.IsChecked == false) && (rbtnZelena2.IsChecked == false) && (rbtnZelena3.IsChecked == false) && (rbtnZelena4.IsChecked == false) && (rbtnZelena5.IsChecked == false))
                prosteBarve.Add(Color.FromArgb(255, 0, 128, 0));

            if ((rbtnRumena1.IsChecked == false) && (rbtnRumena2.IsChecked == false) && (rbtnRumena3.IsChecked == false) && (rbtnRumena4.IsChecked == false) && (rbtnRumena5.IsChecked == false))
                prosteBarve.Add(Color.FromArgb(255, 255, 255, 0));

            if ((rbtnOranzna1.IsChecked == false) && (rbtnOranzna2.IsChecked == false) && (rbtnOranzna3.IsChecked == false) && (rbtnOranzna4.IsChecked == false) && (rbtnOranzna5.IsChecked == false))
                prosteBarve.Add(Color.FromArgb(255, 255, 165, 0));
            #endregion

            (App.Current as App).zbirkaIgralci.Clear();

            #region Igralec 1

            if (rbtnIgralec1.IsChecked == true) // človek
                clovek = true;
            
            if (barvaIgralec1 != 0) // ima izbrano barvo
            {
                if (barvaIgralec1 == 1) // rdeča
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, Color.FromArgb(255,255,0,0)));
                else if (barvaIgralec1 == 2) // modra
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, Color.FromArgb(255, 0, 0, 255)));
                else if (barvaIgralec1 == 3) // zelena
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, Color.FromArgb(255, 0, 128, 0)));
                else if (barvaIgralec1 == 4) // rumena
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, Color.FromArgb(255, 255, 255, 0)));
                else if (barvaIgralec1 == 5) // oranžna
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, Color.FromArgb(255, 255, 165, 0)));
            }
            else // dodelimo barvo
            {
                (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(1, txtImeIgralec1.Text.ToString(), clovek, prosteBarve[0]));
                prosteBarve.RemoveAt(0);
            }

            #endregion

            #region Igralec 2

            clovek = false;

            if (rbtnIgralec2.IsChecked == true) // človek
                clovek = true;

            if (barvaIgralec2 != 0) // ima izbrano barvo
            {
                if (barvaIgralec2 == 1) // rdeča
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, Color.FromArgb(255, 255, 0, 0)));
                else if (barvaIgralec2 == 2) // modra
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, Color.FromArgb(255, 0, 0, 255)));
                else if (barvaIgralec2 == 3) // zelena
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, Color.FromArgb(255, 0, 128, 0)));
                else if (barvaIgralec2 == 4) // rumena
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, Color.FromArgb(255, 255, 255, 0)));
                else if (barvaIgralec2 == 5) // oranžna
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, Color.FromArgb(255, 255, 165, 0)));
            }
            else // dodelimo barvo
            {
                (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(2, txtImeIgralec2.Text.ToString(), clovek, prosteBarve[0]));
                prosteBarve.RemoveAt(0);
            }

            #endregion

            #region Igralec 3

            if ((rbtnIgralec3.IsChecked == true) || (rbtnUI3.IsChecked == true))
            {
                clovek = false;

                if (rbtnIgralec3.IsChecked == true) // človek
                    clovek = true;

                if (barvaIgralec3 != 0) // ima izbrano barvo
                {
                    if (barvaIgralec3 == 1) // rdeča
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, Color.FromArgb(255, 255, 0, 0)));
                    else if (barvaIgralec3 == 2) // modra
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, Color.FromArgb(255, 0, 0, 255)));
                    else if (barvaIgralec3 == 3) // zelena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, Color.FromArgb(255, 0, 128, 0)));
                    else if (barvaIgralec3 == 4) // rumena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, Color.FromArgb(255, 255, 255, 0)));
                    else if (barvaIgralec3 == 5) // oranžna
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, Color.FromArgb(255, 255, 165, 0)));
                }
                else // dodelimo barvo
                {
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec3.Text.ToString(), clovek, prosteBarve[0]));
                    prosteBarve.RemoveAt(0);
                }
            }

            #endregion

            #region Igralec 4

            if ((rbtnIgralec4.IsChecked == true) || (rbtnUI4.IsChecked == true))
            {
                clovek = false;

                if (rbtnIgralec4.IsChecked == true) // človek
                    clovek = true;

                if (barvaIgralec4 != 0) // ima izbrano barvo
                {
                    if (barvaIgralec4 == 1) // rdeča
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, Color.FromArgb(255, 255, 0, 0)));
                    else if (barvaIgralec4 == 2) // modra
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, Color.FromArgb(255, 0, 0, 255)));
                    else if (barvaIgralec4 == 3) // zelena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, Color.FromArgb(255, 0, 128, 0)));
                    else if (barvaIgralec4 == 4) // rumena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, Color.FromArgb(255, 255, 255, 0)));
                    else if (barvaIgralec4 == 5) // oranžna
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, Color.FromArgb(255, 255, 165, 0)));
                }
                else // dodelimo barvo
                {
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(4, txtImeIgralec4.Text.ToString(), clovek, prosteBarve[0]));
                    prosteBarve.RemoveAt(0);
                }
            }

            #endregion

            #region Igralec 5

            if ((rbtnIgralec5.IsChecked == true) || (rbtnUI5.IsChecked == true))
            {
                clovek = false;

                if (rbtnIgralec5.IsChecked == true) // človek
                    clovek = true;

                if (barvaIgralec5 != 0) // ima izbrano barvo
                {
                    if (barvaIgralec5 == 1) // rdeča
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(5, txtImeIgralec5.Text.ToString(), clovek, Color.FromArgb(255, 255, 0, 0)));
                    else if (barvaIgralec5 == 2) // modra
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(5, txtImeIgralec5.Text.ToString(), clovek, Color.FromArgb(255, 0, 0, 255)));
                    else if (barvaIgralec5 == 3) // zelena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec5.Text.ToString(), clovek, Color.FromArgb(255, 0, 128, 0)));
                    else if (barvaIgralec5 == 4) // rumena
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec5.Text.ToString(), clovek, Color.FromArgb(255, 255, 255, 0)));
                    else if (barvaIgralec5 == 5) // oranžna
                        (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(3, txtImeIgralec5.Text.ToString(), clovek, Color.FromArgb(255, 255, 165, 0)));
                }
                else // dodelimo barvo
                {
                    (App.Current as App).zbirkaIgralci.Add(new NastavitevIgralcev(5, txtImeIgralec5.Text.ToString(), clovek, prosteBarve[0]));
                    prosteBarve.RemoveAt(0);
                }
            }

            #endregion


            #region Nekaj
            List<WindowsGame1.Igralec> listaIgralcev = new List<WindowsGame1.Igralec>();

            if (txtImeIgralec1.IsEnabled)
            {
                if ((bool)rbtnIgralec1.IsChecked) { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.clovek, txtImeIgralec1.Text)); }
                else { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.racunalnik, txtImeIgralec1.Text)); }

                if ((bool)rbtnRdeca1.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 0, 0);
                else if ((bool)rbtnModra1.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 0, 255);
                else if ((bool)rbtnZelena1.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 255, 0);
                else if ((bool)rbtnRumena1.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 255, 0);
                else if ((bool)rbtnOranzna1.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 125, 0);
            }

            if (rbtnIgralec2.IsEnabled)
            {
                if ((bool)rbtnIgralec2.IsChecked) { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.clovek, txtImeIgralec2.Text)); }
                else { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.racunalnik, txtImeIgralec2.Text)); }

                if ((bool)rbtnRdeca2.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 0, 0);
                else if ((bool)rbtnModra2.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 0, 255);
                else if ((bool)rbtnZelena2.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 255, 0);
                else if ((bool)rbtnRumena2.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 255, 0);
                else if ((bool)rbtnOranzna2.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 125, 0);
            }

            if (rbtnIgralec3.IsEnabled)
            {
                if ((bool)rbtnIgralec3.IsChecked) { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.clovek, txtImeIgralec3.Text)); }
                else { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.racunalnik, txtImeIgralec3.Text)); }

                if ((bool)rbtnRdeca3.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 0, 0);
                else if ((bool)rbtnModra3.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 0, 255);
                else if ((bool)rbtnZelena3.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 255, 0);
                else if ((bool)rbtnRumena3.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 255, 0);
                else if ((bool)rbtnOranzna3.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 125, 0);
            }

            if (rbtnIgralec4.IsEnabled)
            {
                if ((bool)rbtnIgralec4.IsChecked) { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.clovek, txtImeIgralec4.Text)); }
                else { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.racunalnik, txtImeIgralec4.Text)); }

                if ((bool)rbtnRdeca4.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 0, 0);
                else if ((bool)rbtnModra4.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 0, 255);
                else if ((bool)rbtnZelena4.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 255, 0);
                else if ((bool)rbtnRumena4.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 255, 0);
                else if ((bool)rbtnOranzna4.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 125, 0);
            }

            if (rbtnIgralec5.IsEnabled)
            {
                if ((bool)rbtnIgralec5.IsChecked) { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.clovek, txtImeIgralec5.Text)); }
                else { listaIgralcev.Add(new WindowsGame1.Igralec(WindowsGame1.tipIgralca.racunalnik, txtImeIgralec5.Text)); }

                if ((bool)rbtnRdeca5.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 0, 0);
                else if ((bool)rbtnModra5.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 0, 255);
                else if ((bool)rbtnZelena5.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(0, 255, 0);
                else if ((bool)rbtnRumena5.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 255, 0);
                else if ((bool)rbtnOranzna5.IsChecked) listaIgralcev[listaIgralcev.Count - 1].barva = new Microsoft.Xna.Framework.Color(255, 125, 0);
            }

            (App.Current as App).playeri = new List<WindowsGame1.Igralec>();
            foreach (WindowsGame1.Igralec item in listaIgralcev)
            {
                (App.Current as App).playeri.Add(new WindowsGame1.Igralec(item.tip, item.ime, item.barva));
            }
            #endregion
        }

        protected override void OnBackKeyPress(System.ComponentModel.CancelEventArgs e)
        {
            DobiPodatke();
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.RelativeOrAbsolute));
        }

        // Počistimo sklad -> Strani, ki so za ciklane, če klikamo back, kako bomo skakali
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            while (this.NavigationService.BackStack.Any())
            {
                this.NavigationService.RemoveBackEntry();
            }
        }

        private void btnZapri_Click(object sender, RoutedEventArgs e)
        {
            (App.Current as App).spremembe = true;
            DobiPodatke();
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.RelativeOrAbsolute));
        }
    }
}