﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Resources;
using System.Windows.Media.Imaging;
using Microsoft.Phone;
using System.Collections.ObjectModel;
using Microsoft.Xna.Framework.Media;
using System.Text;
using Microsoft.Win32;
using System.IO;
using System.Windows.Interop;
using System.IO.IsolatedStorage;

namespace SlXnaApp1
{
    public partial class KonecIgre_Zmaga : PhoneApplicationPage
    {
        Random rand;
        int mojX;

        public KonecIgre_Zmaga()
        {
            InitializeComponent();

            txtZmagovalec.Text = "";
            txtDrugi.Text = "";
            txtTretji.Text = "";
            txtCetrti.Text = "";
            txtZadnji.Text = "";

            rand = new Random();

            txtZmagovalec.Visibility = System.Windows.Visibility.Collapsed;
            txtDrugi.Visibility = System.Windows.Visibility.Collapsed;
            txtTretji.Visibility = System.Windows.Visibility.Collapsed;
            txtCetrti.Visibility = System.Windows.Visibility.Collapsed;
            txtZadnji.Visibility = System.Windows.Visibility.Collapsed;

            image1.Visibility = System.Windows.Visibility.Collapsed;
            image2.Visibility = System.Windows.Visibility.Collapsed;
            image3.Visibility = System.Windows.Visibility.Collapsed;
            image4.Visibility = System.Windows.Visibility.Collapsed;
            image5.Visibility = System.Windows.Visibility.Collapsed;

            #region 2 igralca
            if ((App.Current as App).zbirkaIgralci.Count == 2)
            {
                txtZmagovalec.Visibility = System.Windows.Visibility.Visible;
                txtDrugi.Visibility = System.Windows.Visibility.Visible;
                image1.Visibility = System.Windows.Visibility.Visible;
                image2.Visibility = System.Windows.Visibility.Visible;

                if ((App.Current as App).jeZmagovalec == 0)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                }
                else if ((App.Current as App).jeZmagovalec == 1)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                }
            }
            #endregion
            #region 3 igralci
            else if ((App.Current as App).zbirkaIgralci.Count == 3)
            {
                txtZmagovalec.Visibility = System.Windows.Visibility.Visible;
                txtDrugi.Visibility = System.Windows.Visibility.Visible;
                txtTretji.Visibility = System.Windows.Visibility.Visible;
                image1.Visibility = System.Windows.Visibility.Visible;
                image2.Visibility = System.Windows.Visibility.Visible;
                image3.Visibility = System.Windows.Visibility.Visible;

                if ((App.Current as App).jeZmagovalec == 0)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    
                    mojX = rand.Next(1, 100);

                    if (mojX % 2 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 1)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 100);

                    if (mojX % 2 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 2)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 100);

                    if (mojX % 2 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
            }
            #endregion
            #region 4 igralci
            else if ((App.Current as App).zbirkaIgralci.Count == 4)
            {
                txtZmagovalec.Visibility = System.Windows.Visibility.Visible;
                txtDrugi.Visibility = System.Windows.Visibility.Visible;
                txtTretji.Visibility = System.Windows.Visibility.Visible;
                txtCetrti.Visibility = System.Windows.Visibility.Visible;
                image1.Visibility = System.Windows.Visibility.Visible;
                image2.Visibility = System.Windows.Visibility.Visible;
                image3.Visibility = System.Windows.Visibility.Visible;
                image4.Visibility = System.Windows.Visibility.Visible;

                if ((App.Current as App).jeZmagovalec == 0)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 7 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 1)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 7 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 2)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 7 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 3)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 7 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
            }
            #endregion
            #region 5 igralcev
            else if ((App.Current as App).zbirkaIgralci.Count == 5)
            {
                txtZmagovalec.Visibility = System.Windows.Visibility.Visible;
                txtDrugi.Visibility = System.Windows.Visibility.Visible;
                txtTretji.Visibility = System.Windows.Visibility.Visible;
                txtCetrti.Visibility = System.Windows.Visibility.Visible;
                txtZadnji.Visibility = System.Windows.Visibility.Visible;
                image1.Visibility = System.Windows.Visibility.Visible;
                image2.Visibility = System.Windows.Visibility.Visible;
                image3.Visibility = System.Windows.Visibility.Visible;
                image4.Visibility = System.Windows.Visibility.Visible;
                image5.Visibility = System.Windows.Visibility.Visible;

                if ((App.Current as App).jeZmagovalec == 0)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 11 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 12 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 1)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 11 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 12 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 2)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 11 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 12 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 3)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 11 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 12 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[4].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
                else if ((App.Current as App).jeZmagovalec == 4)
                {
                    txtZmagovalec.Text = (App.Current as App).zbirkaIgralci[(App.Current as App).jeZmagovalec].ime;
                    image1.Source = (App.Current as App).zbirkaIgralci[4].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));

                    mojX = rand.Next(1, 1000);

                    if (mojX % 11 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 12 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else if (mojX % 9 == 0)
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                    else
                    {
                        txtDrugi.Text = (App.Current as App).zbirkaIgralci[1].ime;
                        txtTretji.Text = (App.Current as App).zbirkaIgralci[0].ime;
                        txtCetrti.Text = (App.Current as App).zbirkaIgralci[3].ime;
                        txtZadnji.Text = (App.Current as App).zbirkaIgralci[2].ime;
                        image2.Source = (App.Current as App).zbirkaIgralci[1].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image3.Source = (App.Current as App).zbirkaIgralci[0].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image4.Source = (App.Current as App).zbirkaIgralci[3].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                        image5.Source = (App.Current as App).zbirkaIgralci[2].jeClovek ? new BitmapImage(new Uri("Slike/Results-Human.png", UriKind.Relative)) : new BitmapImage(new Uri("Slike/Results-Co.png", UriKind.Relative));
                    }
                }
            }
            #endregion

            if ((App.Current as App).trenutnaMapa == 0)
                txtTipMape.Text = txtTipMape.Text + "\n" + "-> privzeta mapa";
            else if ((App.Current as App).trenutnaMapa == 1)
                txtTipMape.Text = txtTipMape.Text + "\n" + "-> generirana mapa - naključne točke";
            else if ((App.Current as App).trenutnaMapa == 2)
                txtTipMape.Text = txtTipMape.Text + "\n" + "-> generirana mapa - zajem slike";
        }

        private void Image_Loaded(object sender, RoutedEventArgs e)
        {
            System.Windows.Media.Imaging.WriteableBitmap bmpCurrentScreenImage = new System.Windows.Media.Imaging.WriteableBitmap((int)this.ActualWidth, (int)this.ActualHeight);
            bmpCurrentScreenImage.Render(LayoutRoot, new System.Windows.Media.MatrixTransform());
            bmpCurrentScreenImage.Invalidate();

            MemoryStream stream = new MemoryStream();
            WriteableBitmap writeableBmp = bmpCurrentScreenImage.Resize(800, 480, WriteableBitmapExtensions.Interpolation.Bilinear);
            writeableBmp.SaveJpeg(stream, 800, 480, 0, 100);

            (App.Current as App).mojDCT = new DCT(writeableBmp);
            (App.Current as App).narejenDCT = true;
        }

        // Počistimo sklad -> Strani, ki so za ciklane, če klikamo back, kako bomo skakali
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            while (this.NavigationService.BackStack.Any())
            {
                this.NavigationService.RemoveBackEntry();
            }
        }

        // Določimo, kam skočimo, ko kliknemo back
        protected override void OnBackKeyPress(System.ComponentModel.CancelEventArgs e)
        {
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.RelativeOrAbsolute));
        }

        private void btnZapri_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.RelativeOrAbsolute));
        }
    }
}