﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

using System.IO;
using System.IO.IsolatedStorage;
using System.Runtime.Serialization;
using System.Xml.Serialization;
using System.Xml;

using System.Net;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media.Animation;
using Microsoft.Phone.Controls;

namespace WindowsGame1
{
    /// <summary>
    /// faze igre si sledijo takole :
    ///  - okrepitve, tukaj igralec proizvedene vojake razporedi po svojem ozemlju
    ///  - napadanje, tukaj se dogaje vsa akcija
    ///  - fortifikacija, po končani fazi napadanja prestavljamo vojake po mili volji
    /// </summary>
    public enum fazaIgre { okrepitve, napadanje, fortifikacija, drzave };

    [XmlRoot]
    public class Igra
    {
        public Mapa mapa;
        public List<Igralec> igralci;
        public int naPotezi;
        public fazaIgre faza;

        public Igra() { }

        /// <summary>
        /// Ti sestavi osnovno igro
        /// </summary>
        /// <param name="dummy">It's a fucking dummy</param>
        public Igra(int dummy)
        {
            List<Microsoft.Xna.Framework.Point> sredisca = new List<Microsoft.Xna.Framework.Point>();
            List<Polje> mojapolja = new List<Polje>();
            List<Skupina> mojaskupina = new List<Skupina>();
            List<Polje> polja = new List<Polje>();

            #region inicializacija sosedov
            List<int> sosedi0 = new List<int>();
            List<int> sosedi1 = new List<int>();
            List<int> sosedi2 = new List<int>();
            List<int> sosedi3 = new List<int>();
            List<int> sosedi4 = new List<int>();
            List<int> sosedi5 = new List<int>();
            List<int> sosedi6 = new List<int>();
            List<int> sosedi7 = new List<int>();
            List<int> sosedi8 = new List<int>();
            List<int> sosedi9 = new List<int>();
            List<int> sosedi10 = new List<int>();
            List<int> sosedi11 = new List<int>();
            List<int> sosedi12 = new List<int>();
            List<int> sosedi13 = new List<int>();
            List<int> sosedi14 = new List<int>();
            List<int> sosedi15 = new List<int>();
            List<int> sosedi16 = new List<int>();
            List<int> sosedi17 = new List<int>();

            sosedi0.Add(1);
            sosedi0.Add(3);
            sosedi1.Add(0);
            sosedi1.Add(2);
            sosedi1.Add(3);
            sosedi1.Add(4);
            sosedi2.Add(1);
            sosedi2.Add(4);
            sosedi2.Add(5);
            sosedi2.Add(7);
            sosedi3.Add(0);
            sosedi3.Add(1);
            sosedi3.Add(4);
            sosedi3.Add(6);
            sosedi4.Add(1);
            sosedi4.Add(2);
            sosedi4.Add(3);
            sosedi4.Add(5);
            sosedi4.Add(6);
            sosedi5.Add(2);
            sosedi5.Add(4);
            sosedi5.Add(6);
            sosedi6.Add(3);
            sosedi6.Add(4);
            sosedi6.Add(5);
            sosedi6.Add(14);
            sosedi7.Add(2);
            sosedi7.Add(8);
            sosedi7.Add(9);
            sosedi7.Add(10);
            sosedi8.Add(7);
            sosedi8.Add(10);
            sosedi8.Add(11);
            sosedi9.Add(7);
            sosedi9.Add(10);
            sosedi10.Add(7);
            sosedi10.Add(8);
            sosedi10.Add(9);
            sosedi10.Add(11);
            sosedi11.Add(8);
            sosedi11.Add(10);
            sosedi11.Add(12);
            sosedi12.Add(11);
            sosedi12.Add(13);
            sosedi12.Add(15);
            sosedi12.Add(17);
            sosedi13.Add(12);
            sosedi13.Add(14);
            sosedi13.Add(15);
            sosedi14.Add(6);
            sosedi14.Add(13);
            sosedi14.Add(15);
            sosedi14.Add(16);
            sosedi15.Add(12);
            sosedi15.Add(13);
            sosedi15.Add(14);
            sosedi15.Add(16);
            sosedi15.Add(17);
            sosedi16.Add(14);
            sosedi16.Add(15);
            sosedi16.Add(17);
            sosedi17.Add(12);
            sosedi17.Add(15);
            sosedi17.Add(16);
            #endregion

            #region postavitev polj
            //točka 0
            polja.Add(new Polje(new Point(40, 50), sosedi0, 0, 0, 1));
            polja[0].robneTocke.Add(new Point(0, 0));
            polja[0].robneTocke.Add(new Point(70, 0));
            polja[0].robneTocke.Add(new Point(80, 70));
            polja[0].robneTocke.Add(new Point(0, 120));

            //točka 1
            polja.Add(new Polje(new Point(120, 40), sosedi1, 0, 1, 1));
            polja[1].robneTocke.Add(new Point(70, 0));
            polja[1].robneTocke.Add(new Point(160, 0));
            polja[1].robneTocke.Add(new Point(170, 60));
            polja[1].robneTocke.Add(new Point(120, 80));
            polja[1].robneTocke.Add(new Point(80, 70));

            //točka 2
            polja.Add(new Polje(new Point(240, 30), sosedi2, 0, 2, 2));
            polja[2].robneTocke.Add(new Point(160, 0));
            polja[2].robneTocke.Add(new Point(350, 0));
            polja[2].robneTocke.Add(new Point(290, 110));
            polja[2].robneTocke.Add(new Point(210, 90));
            polja[2].robneTocke.Add(new Point(170, 60));

            //točka 3
            polja.Add(new Polje(new Point(80, 120), sosedi3, 0, 1, 2));
            polja[3].robneTocke.Add(new Point(0, 120));
            polja[3].robneTocke.Add(new Point(80, 70));
            polja[3].robneTocke.Add(new Point(120, 80));
            polja[3].robneTocke.Add(new Point(130, 130));
            polja[3].robneTocke.Add(new Point(0, 250));

            //točka 4
            polja.Add(new Polje(new Point(170, 100), sosedi4, 0, 2, 1));
            polja[4].robneTocke.Add(new Point(120, 80));
            polja[4].robneTocke.Add(new Point(170, 60));
            polja[4].robneTocke.Add(new Point(210, 90));
            polja[4].robneTocke.Add(new Point(170, 140));
            polja[4].robneTocke.Add(new Point(130, 130));

            //točka 5
            polja.Add(new Polje(new Point(240, 160), sosedi5, 0, 1, 1));
            polja[5].robneTocke.Add(new Point(290, 110));
            polja[5].robneTocke.Add(new Point(340, 150));
            polja[5].robneTocke.Add(new Point(320, 190));
            polja[5].robneTocke.Add(new Point(250, 250));
            polja[5].robneTocke.Add(new Point(200, 220));
            polja[5].robneTocke.Add(new Point(170, 140));
            polja[5].robneTocke.Add(new Point(210, 90));

            //točka 6
            polja.Add(new Polje(new Point(140, 180), sosedi6, 0, 0, 1));
            polja[6].robneTocke.Add(new Point(130, 130));
            polja[6].robneTocke.Add(new Point(170, 140));
            polja[6].robneTocke.Add(new Point(200, 220));
            polja[6].robneTocke.Add(new Point(0, 250));

            //točka 7
            polja.Add(new Polje(new Point(380, 80), sosedi7, 1, 2, 1));
            polja[7].robneTocke.Add(new Point(350, 0));
            polja[7].robneTocke.Add(new Point(420, 0));
            polja[7].robneTocke.Add(new Point(450, 80));
            polja[7].robneTocke.Add(new Point(400, 130));
            polja[7].robneTocke.Add(new Point(340, 150));
            polja[7].robneTocke.Add(new Point(290, 110));

            //točka 8
            polja.Add(new Polje(new Point(490, 30), sosedi8, 1, 0, 2));
            polja[8].robneTocke.Add(new Point(420, 0));
            polja[8].robneTocke.Add(new Point(580, 0));
            polja[8].robneTocke.Add(new Point(510, 100));
            polja[8].robneTocke.Add(new Point(450, 80));

            //točka 9
            polja.Add(new Polje(new Point(400, 160), sosedi9, 1, 1, 1));
            polja[9].robneTocke.Add(new Point(400, 130));
            polja[9].robneTocke.Add(new Point(480, 140));
            polja[9].robneTocke.Add(new Point(470, 200));
            polja[9].robneTocke.Add(new Point(400, 230));
            polja[9].robneTocke.Add(new Point(320, 190));
            polja[9].robneTocke.Add(new Point(340, 150));

            //točke 10
            polja.Add(new Polje(new Point(470, 110), sosedi10, 1, 2, 1));
            polja[10].robneTocke.Add(new Point(450, 80));
            polja[10].robneTocke.Add(new Point(510, 100));
            polja[10].robneTocke.Add(new Point(480, 140));
            polja[10].robneTocke.Add(new Point(400, 130));

            //točke 11
            polja.Add(new Polje(new Point(600, 140), sosedi11, 1, 0, 2));
            polja[11].robneTocke.Add(new Point(580, 0));
            polja[11].robneTocke.Add(new Point(650, 0));
            polja[11].robneTocke.Add(new Point(650, 320));
            polja[11].robneTocke.Add(new Point(470, 200));
            polja[11].robneTocke.Add(new Point(480, 140));
            polja[11].robneTocke.Add(new Point(510, 100));

            //točke 12
            polja.Add(new Polje(new Point(470, 340), sosedi12, 2, 0, 2));
            polja[12].robneTocke.Add(new Point(470, 200));
            polja[12].robneTocke.Add(new Point(650, 320));
            polja[12].robneTocke.Add(new Point(650, 480));
            polja[12].robneTocke.Add(new Point(540, 480));
            polja[12].robneTocke.Add(new Point(400, 390));
            polja[12].robneTocke.Add(new Point(350, 330));
            polja[12].robneTocke.Add(new Point(400, 230));

            //točke 13
            polja.Add(new Polje(new Point(300, 280), sosedi13, 2, 2, 2));
            polja[13].robneTocke.Add(new Point(320, 190));
            polja[13].robneTocke.Add(new Point(400, 230));
            polja[13].robneTocke.Add(new Point(350, 330));
            polja[13].robneTocke.Add(new Point(260, 300));
            polja[13].robneTocke.Add(new Point(250, 250));

            //točke 14
            polja.Add(new Polje(new Point(160, 280), sosedi14, 2, 2, 2));
            polja[14].robneTocke.Add(new Point(0, 250));
            polja[14].robneTocke.Add(new Point(200, 220));
            polja[14].robneTocke.Add(new Point(250, 250));
            polja[14].robneTocke.Add(new Point(260, 300));
            polja[14].robneTocke.Add(new Point(230, 370));
            polja[14].robneTocke.Add(new Point(0, 380));

            //točke 15         
            polja.Add(new Polje(new Point(320, 370), sosedi15, 2, 1, 2));
            polja[15].robneTocke.Add(new Point(260, 300));
            polja[15].robneTocke.Add(new Point(350, 330));
            polja[15].robneTocke.Add(new Point(400, 390));
            polja[15].robneTocke.Add(new Point(310, 410));
            polja[15].robneTocke.Add(new Point(230, 370));

            //točke 16
            polja.Add(new Polje(new Point(180, 410), sosedi16, 2, 1, 2));
            polja[16].robneTocke.Add(new Point(0, 380));
            polja[16].robneTocke.Add(new Point(230, 370));
            polja[16].robneTocke.Add(new Point(310, 410));
            polja[16].robneTocke.Add(new Point(290, 480));
            polja[16].robneTocke.Add(new Point(0, 480));

            //točke 17
            polja.Add(new Polje(new Point(400, 440), sosedi17, 2, 0, 1));
            polja[17].robneTocke.Add(new Point(400, 390));
            polja[17].robneTocke.Add(new Point(540, 480));
            polja[17].robneTocke.Add(new Point(290, 480));
            polja[17].robneTocke.Add(new Point(310, 410));
            #endregion

            #region dodelitev polj
            List<Skupina> skupine = new List<Skupina>();
            skupine.Add(new Skupina(new List<int>(), 0));
            skupine[0].indexClana.Add(0);
            skupine[0].indexClana.Add(1);
            skupine[0].indexClana.Add(2);
            skupine[0].indexClana.Add(3);
            skupine[0].indexClana.Add(4);
            skupine[0].indexClana.Add(5);
            skupine[0].indexClana.Add(6);
            skupine[0].proizvodnja = 7 / 2;
            skupine.Add(new Skupina(new List<int>(), 0));
            skupine[1].indexClana.Add(7);
            skupine[1].indexClana.Add(8);
            skupine[1].indexClana.Add(9);
            skupine[1].indexClana.Add(10);
            skupine[1].indexClana.Add(11);
            skupine[1].proizvodnja = 5 / 2;
            skupine.Add(new Skupina(new List<int>(), 0));
            skupine[2].indexClana.Add(12);
            skupine[2].indexClana.Add(13);
            skupine[2].indexClana.Add(14);
            skupine[2].indexClana.Add(15);
            skupine[2].indexClana.Add(16);
            skupine[2].indexClana.Add(17);
            skupine[2].proizvodnja = 6 / 2;

            Mapa trenutnaMapa = new Mapa("Test", polja, skupine);

            List<Igralec> trenutniIgralci = new List<Igralec>();
            List<int> polja1 = new List<int>();
            List<int> polja2 = new List<int>();
            List<int> polja3 = new List<int>();
            polja1.Add(0);
            polja1.Add(6);
            polja1.Add(8);
            polja1.Add(11);
            polja1.Add(12);
            polja1.Add(17);
            polja2.Add(1);
            polja2.Add(3);
            polja2.Add(5);
            polja2.Add(9);
            polja2.Add(15);
            polja2.Add(16);
            polja3.Add(2);
            polja3.Add(4);
            polja3.Add(7);
            polja3.Add(10);
            polja3.Add(13);
            polja3.Add(14);

            trenutniIgralci.Add(new Igralec(tipIgralca.clovek, "RDECI", Color.Red, polja1));
            trenutniIgralci.Add(new Igralec(tipIgralca.racunalnik, "BELI", Color.Green, polja2));
            trenutniIgralci.Add(new Igralec(tipIgralca.racunalnik, "MODRI", Color.Blue, polja3));
            #endregion

            this.mapa = trenutnaMapa;
            this.igralci = trenutniIgralci;
            this.faza = fazaIgre.okrepitve;
            this.naPotezi = 0;
            this.posodobiProizvodnjo();
        }

        public Igra(Mapa igralnaPovrsina, List<Igralec> igralci)
        {
            this.mapa = igralnaPovrsina;
            this.igralci = new List<Igralec>(igralci);
            this.naPotezi = 0;
            this.faza = fazaIgre.okrepitve;

            if (igralci.Count < 2) { throw new ArgumentException("Premalo igralcev za igro", "Igralci"); }

            preglejMapo();
            posodobiProizvodnjo();
        }

        /// <summary>
        /// Ta konstruktor kličeš takrato ko se igra zažene TODO skupine preuredit, ker trenutno ne delajo kot bi mogle
        /// </summary>
        /// <param name="igralnaPovrsina"></param>
        /// <param name="igralci1"></param>
        /// <param name="dummy"></param>
        public Igra(Mapa igralnaPovrsina, List<Igralec> igralci1, int stSkupin = 5)
        {
            for (int i = 0; i < igralci1.Count; i++)
            {
                igralci1[i].indexPolj = new List<int>();
            }

            for (int i = 0; i < igralnaPovrsina.polja.Count; i++)
            {
                igralnaPovrsina.polja[i].indexLastnika = i % igralci1.Count;
                igralci1[i % igralci1.Count].indexPolj.Add(i);
                igralnaPovrsina.polja[i].steviloVojakov = 1;

            }

            List<Point> sredisicaSkupin = new List<Point>();
            List<Skupina> skupine2 = new List<Skupina>();
            Point center = new Point(320, 240);
            double alfa = 2 * Math.PI / stSkupin, trenutniKot = 0;
            double sin, cos;

            for (int i = 0; i < stSkupin; i++)
            {
                sin = Math.Sin(trenutniKot);//y
                cos = Math.Cos(trenutniKot);//x
                sredisicaSkupin.Add(new Point((int)(cos * center.Y + center.X), (int)(sin * center.Y + center.Y)));
                trenutniKot += alfa;
                skupine2.Add(new Skupina());
            }

            double min = Double.MaxValue, trenutni;
            int indexMin = 0, d;
            for (int i = 0; i < igralnaPovrsina.polja.Count; i++)
            {
                for (d = 0; d < sredisicaSkupin.Count; d++)
                {
                    trenutni = distance(new Point((int)igralnaPovrsina.polja[i].sredina.X, (int)igralnaPovrsina.polja[i].sredina.Y), sredisicaSkupin[d]);
                    if (trenutni < min)
                    {
                        min = trenutni; indexMin = d;
                    }
                }
                skupine2[indexMin].indexClana.Add(i);
                igralnaPovrsina.polja[i].skupina = indexMin;
                min = Double.MaxValue;
            }
            for (int i = 0; i < stSkupin; i++)
            {
                skupine2[i].proizvodnja = skupine2[i].indexClana.Count / 2;
            }

            igralnaPovrsina.skupine = skupine2;
            this.mapa = igralnaPovrsina;
            this.igralci = igralci1;
            this.naPotezi = 0;
            this.faza = fazaIgre.okrepitve;

            if (igralci1.Count < 2) { throw new ArgumentException("Premalo igralcev za igro", "Igralci"); }

            preglejMapo();
            posodobiProizvodnjo();
        }

        /// <summary>
        /// Kopirni konstruktor
        /// </summary>
        /// <param name="pomoznaIgra"></param>
        public Igra(Igra pomoznaIgra)
        {
            mapa = new Mapa(pomoznaIgra.mapa);
            igralci = new List<Igralec>();
            for (int i = 0; i < pomoznaIgra.igralci.Count; i++)
                igralci.Add(new Igralec(pomoznaIgra.igralci[i].tip, pomoznaIgra.igralci[i].ime, pomoznaIgra.igralci[i].proizvodnja, pomoznaIgra.igralci[i].barva, pomoznaIgra.igralci[i].naZalogi, pomoznaIgra.igralci[i].indexPolj));
            naPotezi = pomoznaIgra.naPotezi;
            faza = pomoznaIgra.faza;
        }

        /// <summary>
        /// Generira polje iz slike, Treba dodelat skupine, igralce
        /// </summary>
        /// <param name="mnogokotniki"></param>
        /// <param name="trikotniki"></param>
        /// <param name="stSkupin"></param>
        /// <param name="stIgralcev"></param>
        public Igra(List<List<System.Windows.Point>> mnogokotniki, List<Voronoi> trikotniki, int stSkupin = 5, int stIgralcev = 4)
        {
            List<Point> sredisca = new List<Point>();
            List<List<int>> sosedi = new List<List<int>>();
            List<Polje> MojaPolja = new List<Polje>();
            List<Skupina> mojeSkupine = new List<Skupina>();
            List<Igralec> mojiIgralci = new List<Igralec>();
            List<List<int>> igralčevaPolja = new List<List<int>>();

            foreach (List<System.Windows.Point> item in mnogokotniki)
            {
                sredisca.Add(new Point((int)item[0].X, (int)item[0].Y));
            }

            for (int i = 0; i < stIgralcev; i++)
            {
                igralčevaPolja.Add(new List<int>());
            }

            #region sosedi
            //ustvarim use sosede
            for (int i = 0; i < sredisca.Count; i++)
            {
                sosedi.Add(new List<int>());
            }

            int t1, t2, t3;
            for (int i = 0; i < trikotniki.Count; i++)
            {
                t1 = najdi(sredisca, new Point((int)trikotniki[i].Tocka1.X, (int)trikotniki[i].Tocka1.Y));
                t2 = najdi(sredisca, new Point((int)trikotniki[i].Tocka2.X, (int)trikotniki[i].Tocka2.Y));
                t3 = najdi(sredisca, new Point((int)trikotniki[i].Tocka3.X, (int)trikotniki[i].Tocka3.Y));

                if (!sosedi[t1].Contains(t2))
                {
                    sosedi[t1].Add(t2);
                }
                if (!sosedi[t1].Contains(t3))
                {
                    sosedi[t1].Add(t3);
                }
                if (!sosedi[t2].Contains(t1))
                {
                    sosedi[t2].Add(t1);
                }
                if (!sosedi[t2].Contains(t3))
                {
                    sosedi[t2].Add(t3);
                }
                if (!sosedi[t3].Contains(t1))
                {
                    sosedi[t3].Add(t1);
                }
                if (!sosedi[t3].Contains(t2))
                {
                    sosedi[t3].Add(t2);
                }
            }
            #endregion

            #region dodeli v skupine
            List<Point> sredisicaSkupin = new List<Point>();
            Point center = new Point(320, 240);
            double alfa = 2 * Math.PI / stSkupin, trenutniKot = 0;
            double sin, cos;

            for (int i = 0; i < stSkupin; i++)
            {
                sin = Math.Sin(trenutniKot);//y
                cos = Math.Cos(trenutniKot);//x
                sredisicaSkupin.Add(new Point((int)(cos * center.Y + center.X), (int)(sin * center.Y + center.Y)));
                trenutniKot += alfa;
            }

            //sosedin se zdej uporabla za določitev skupine
            List<List<int>> skupine2 = new List<List<int>>();
            List<int> sosedin2 = new List<int>();
            for (int i = 0; i < sredisicaSkupin.Count; i++) { skupine2.Add(new List<int>()); }

            double min = Double.MaxValue, trenutni;
            int indexMin = 0, stevec = 0, d;
            foreach (Point item in sredisca)
            {
                for (d = 0; d < sredisicaSkupin.Count; d++)
                {
                    trenutni = distance(new Point((int)item.X, (int)item.Y), sredisicaSkupin[d]);
                    if (trenutni < min)
                    {
                        min = trenutni; indexMin = d;
                    }
                }
                skupine2[indexMin].Add(stevec);
                sosedin2.Add(indexMin);
                stevec++;
                min = Double.MaxValue;
            }

            int c = 0;
            foreach (Point item in sredisca)
            {
                MojaPolja.Add(new Polje(new Point((int)item.X, (int)item.Y), sosedi[c], sosedin2[c], c % stIgralcev, 1));
                igralčevaPolja[c % stIgralcev].Add(c);
                for (int j = 1; j < mnogokotniki[c].Count; j++)
                {
                    MojaPolja[c].robneTocke.Add(new Point((int)mnogokotniki[c][j].X, (int)mnogokotniki[c][j].Y));
                }
                c++;
            }

            //skupine
            c = 0;
            foreach (var item in skupine2)
            {
                mojeSkupine.Add(new Skupina(item, item.Count / 2));
                c++;
            }
            Mapa trenutnaMapa = new Mapa("RazpoznavaInGeneriranje", MojaPolja, mojeSkupine);
            #endregion

            Color[] barve = new Color[8];
            barve[0] = Color.Red;
            barve[1] = Color.Blue;
            barve[2] = Color.Green;
            barve[3] = Color.Yellow;
            barve[4] = Color.Orange;
            barve[5] = Color.Violet;
            barve[6] = Color.Purple;
            barve[7] = Color.Pink;


            mojiIgralci.Add(new Igralec(tipIgralca.clovek, "Clovek", barve[0], igralčevaPolja[0]));
            for (int i = 1; i < stIgralcev; i++)
            {
                mojiIgralci.Add(new Igralec(tipIgralca.racunalnik, "Racunalnik" + i.ToString(), barve[i], igralčevaPolja[i]));
            }

            this.mapa = trenutnaMapa;
            this.igralci = mojiIgralci;

            this.naPotezi = 0;
            this.faza = fazaIgre.okrepitve;

            preglejMapo();
            posodobiProizvodnjo();

            int proizvodnja = 7; // 7 - Tomaž | 20 - Dominik
            int steviloIgralcev = 0;
            int steviloOzemlij = 0;
            int postavljeniVojaki = 0;

            steviloIgralcev = igralci.Count;
            steviloOzemlij = mapa.polja.Count;
            Random rand;
            for (int i = 0; i < igralci.Count; i++)
            {
                //igralci[i].naZalogi = proizvodnja;
                postavljeniVojaki = 0;
                rand = new Random();

                while (postavljeniVojaki < proizvodnja)
                {
                    int tmp = rand.Next(0, igralci[i].indexPolj.Count);
                    postaviVojaka(igralci[i].indexPolj[tmp], 1);
                    postavljeniVojaki++;
                }
                this.naPotezi++;
            }
            this.naPotezi = 0;
            posodobiProizvodnjo();



        }

        /// <summary>
        /// Ta konstruktor sam zgenerira polje in igro
        /// </summary>
        /// <param name="stIgralcev"> minimalno 2 maks 7</param>
        /// <param name="stPolj"> minimalno 4 do 24 </param>
        /// <param name="stSkupin"></param>
        /// <param name="height"></param>
        /// <param name="width"></param>
        public Igra(int stIgralcev, int stPolj, List<Color> barve, int stSkupin = 4, int height = 480, int width = 650)
        {
            #region pozicioniranje držav
            List<delanoj.Geometry.Point> sredisca = new List<delanoj.Geometry.Point>();
            Random rand = new Random();
            delanoj.Geometry.Point pomozni = new delanoj.Geometry.Point(rand.Next(25, width - 25), rand.Next(25, height - 25));
            for (int i = 0; i < stPolj; i++)
            {
                pomozni = new delanoj.Geometry.Point(rand.Next(25, width - 25), rand.Next(25, height - 25));
                for (int j = 0; j < sredisca.Count; j++)
                {
                    if (distance(new Point((int)pomozni.X, (int)pomozni.Y), new Point((int)sredisca[j].X, (int)sredisca[j].Y)) < 9000.0)
                    {
                        j = -1;
                        pomozni = new delanoj.Geometry.Point(rand.Next(25, width - 25), rand.Next(25, height - 25));
                    }
                }
                sredisca.Add(pomozni);
            }
            #endregion

            #region ustavrjanje povezav
            //triangulacija
            List<delanoj.Geometry.Triangle> sosedi = delanoj.Delauney.Triangulate(sredisca);

            //ustvarim seznam seznamov soedov
            List<List<int>> sosedin = new List<List<int>>();
            for (int i = 0; i < sosedi.Count; i++)
            {
                sosedin.Add(new List<int>());
            }
            //vstavim podatke
            double r12, r23, r13;
            Point pa, pb, pc;
            foreach (delanoj.Geometry.Triangle item in sosedi)
            {
                pa = new Point((int)sredisca[item.p1].X, (int)sredisca[item.p1].Y);
                pb = new Point((int)sredisca[item.p2].X, (int)sredisca[item.p2].Y);
                pc = new Point((int)sredisca[item.p3].X, (int)sredisca[item.p3].Y);

                r12 = Math.Sqrt(distance(pa, pb));
                r23 = Math.Sqrt(distance(pb, pc));
                r13 = Math.Sqrt(distance(pa, pc));

                //kot alfa
                if (Math.Acos((r12 * r12 + r13 * r13 - r23 * r23) / (2 * r12 * r13)) * 180 / Math.PI < 20)
                {
                    if (r12 > r13)
                    {
                        sosedin[item.p1].Add(item.p3); sosedin[item.p3].Add(item.p1);
                        sosedin[item.p1].Remove(item.p2); sosedin[item.p2].Remove(item.p1);
                    }
                    else
                    {
                        sosedin[item.p1].Add(item.p2); sosedin[item.p2].Add(item.p1);
                        sosedin[item.p1].Remove(item.p3); sosedin[item.p3].Remove(item.p1);
                    }
                    sosedin[item.p2].Add(item.p3); sosedin[item.p3].Add(item.p2);
                }
                //kot beta
                else if (Math.Acos((r12 * r12 + r23 * r23 - r13 * r13) / (2 * r12 * r23)) * 180 / Math.PI < 20)
                {
                    if (r12 < r23)
                    {
                        sosedin[item.p1].Add(item.p2); sosedin[item.p2].Add(item.p1);
                        sosedin[item.p2].Remove(item.p3); sosedin[item.p3].Remove(item.p2);
                    }
                    else
                    {
                        sosedin[item.p2].Add(item.p3); sosedin[item.p3].Add(item.p2);
                        sosedin[item.p1].Remove(item.p2); sosedin[item.p2].Remove(item.p1);
                    }
                    sosedin[item.p1].Add(item.p3); sosedin[item.p3].Add(item.p1);

                }
                //kot gama
                else if (Math.Acos((r13 * r13 + r23 * r23 - r12 * r12) / (2 * r13 * r23)) * 180 / Math.PI < 20)
                {
                    if (r13 > r23)
                    {
                        sosedin[item.p1].Add(item.p3); sosedin[item.p3].Add(item.p1);
                        sosedin[item.p2].Remove(item.p3); sosedin[item.p3].Remove(item.p2);
                    }
                    else
                    {
                        sosedin[item.p2].Add(item.p3); sosedin[item.p3].Add(item.p2);
                        sosedin[item.p1].Remove(item.p3); sosedin[item.p3].Remove(item.p1);
                    }
                    sosedin[item.p1].Add(item.p2); sosedin[item.p2].Add(item.p1);
                }
                else
                {
                    sosedin[item.p1].Add(item.p3); sosedin[item.p3].Add(item.p1);
                    sosedin[item.p1].Add(item.p2); sosedin[item.p2].Add(item.p1);
                    sosedin[item.p2].Add(item.p3); sosedin[item.p3].Add(item.p2);
                }
            }

            //odstranjevanje dvojnikov
            #endregion

            #region dodeli v skupine
            List<Point> centri = new List<Point>();
            Point center = new Point(width / 2, height / 2);
            double alfa = 2 * Math.PI / stSkupin, trenutniKot = 0;
            double sin, cos;


            for (int i = 0; i < stSkupin; i++)
            {
                sin = Math.Sin(trenutniKot);//y
                cos = Math.Cos(trenutniKot);//x
                centri.Add(new Point((int)(cos * center.Y + center.X), (int)(sin * center.Y + center.Y)));
                trenutniKot += alfa;
            }

            //sosedin se zdej uporabla za določitev skupine
            List<List<int>> skupine2 = new List<List<int>>();
            List<int> sosedin2 = new List<int>();
            for (int i = 0; i < centri.Count; i++) { skupine2.Add(new List<int>()); }

            double min = Double.MaxValue, trenutni;
            int indexMin = 0, stevec = 0;
            foreach (delanoj.Geometry.Point item in sredisca)
            {
                int d;
                for (d = 0; d < centri.Count; d++)
                {
                    trenutni = distance(new Point((int)item.X, (int)item.Y), centri[d]);
                    if (trenutni < min)
                    {
                        min = trenutni; indexMin = d;
                    }
                }
                skupine2[indexMin].Add(stevec);
                sosedin2.Add(indexMin);
                stevec++;
                min = Double.MaxValue;
            }
            #endregion

            #region finalizacija polj
            int c = 0;
            List<Polje> mojapolja = new List<Polje>();
            foreach (delanoj.Geometry.Point item in sredisca)
            {
                mojapolja.Add(new Polje(new Point((int)item.X, (int)item.Y), sosedin[c], sosedin2[c], c % stIgralcev, 1));
                c++;
            }

            //skupine
            c = 0;
            List<Skupina> groups = new List<Skupina>();
            foreach (var item in skupine2)
            {
                groups.Add(new Skupina(item, item.Count / 2));
                c++;
            }

            mapa = new Mapa("rand", mojapolja, groups, 666);
            #endregion

            #region Igralci
            List<List<int>> poljaIgralcev = new List<List<int>>();
            for (int i = 0; i < stIgralcev; i++)
            {
                poljaIgralcev.Add(new List<int>());
            }

            c = 0;
            foreach (Polje item in mapa.polja)
            {
                poljaIgralcev[item.indexLastnika].Add(c);
                c++;
            }

            igralci = new List<Igralec>();
            for (int i = 0; i < stIgralcev; i++)
            {
                igralci.Add(new Igralec(tipIgralca.racunalnik, "Skynet" + i.ToString(), barve[i], poljaIgralcev[i]));
            }
            igralci[0].ime = "Human";
            igralci[0].tip = tipIgralca.clovek;
            #endregion

            this.naPotezi = 0;
            this.faza = fazaIgre.okrepitve;

            preglejMapo();
            posodobiProizvodnjo();

            int proizvodnja = 7; // 7 - Tomaž | 20 - Dominik
            int steviloIgralcev = 0;
            int steviloOzemlij = 0;
            int postavljeniVojaki = 0;

            steviloIgralcev = igralci.Count;
            steviloOzemlij = mapa.polja.Count;

            for (int i = 0; i < igralci.Count; i++)
            {
                //igralci[i].naZalogi = proizvodnja;
                postavljeniVojaki = 0;
                rand = new Random();

                while (postavljeniVojaki < proizvodnja)
                {
                    int tmp = rand.Next(0, igralci[i].indexPolj.Count);
                    postaviVojaka(igralci[i].indexPolj[tmp], 1);
                    postavljeniVojaki++;
                }
                this.naPotezi++;
            }
            this.naPotezi = 0;
            posodobiProizvodnjo();
        }

        #region metode

        /// <summary>
        /// pogledamo ali so vsaj osnovne potrebe zadovolojene za igranje
        /// </summary>
        /// <returns>vrne izjemo če ne more vsak igralec imeti svoje polje in v primeru da je na potezi napačna vrednost. Pregledamo ali so tudi polja vredu.
        /// </returns>
        public bool preglejMapo()
        {
            if (this.mapa.polja.Count < this.igralci.Count) { throw new Exception("Premalo polj za vse igralce"); }
            // spremeni <- mora se povečati (oziroma mora priti na vrsto naslednji igralec <--
            if (this.naPotezi > this.igralci.Count) { throw new Exception("Igralec, ki naj bi bil na potezi ga ni vec"); }

            this.mapa.preveriPolja(igralci.Count);

            return true;
        }

        public bool postaviVojaka(int indexPolja, int steviloVojakov)
        {
            //preverim ali sem v pravi fazi igre
            if (this.faza != fazaIgre.okrepitve) { throw new Exception("V napacni fazi igre si za okrepitve"); }

            //preverim pravilnost vhodnih pdatkov
            if (indexPolja < 0 || indexPolja > this.mapa.polja.Count) { /*throw new ArgumentException("Izbrano polje je izven dosega ", "indexPolja");*/ return false; }
            if (steviloVojakov > this.igralci[naPotezi].naZalogi) { steviloVojakov = igralci[naPotezi].naZalogi; }
            if (this.mapa.polja[indexPolja].indexLastnika != this.naPotezi) { /*throw new ArgumentException("Izbrano polje ni lastnina " + igralci[naPotezi].ime, "indexPolja");*/ return false; }

            //dodelim vojake na polje
            this.mapa.polja[indexPolja].steviloVojakov += steviloVojakov;
            this.igralci[naPotezi].naZalogi -= steviloVojakov;
            return true;
        }

        // Dodano - Dominik (10.12.2012)
        public void metKocke(int N, int B)
        {
            Random rand = new Random();

            int stMetovN = 1;
            int stMetovB = 1;

            if (this.mapa.polja[B].steviloVojakov > 1)
                stMetovB++;

            if (this.mapa.polja[N].steviloVojakov == 2)
                stMetovN = 2;
            else if (this.mapa.polja[N].steviloVojakov > 2)
                stMetovN = 3;

            if (this.mapa.polja[N].steviloVojakov < this.mapa.polja[B].steviloVojakov)
                stMetovB++;

            List<int> metNapadalec = new List<int>(stMetovN);
            List<int> metBranilec = new List<int>(stMetovB);

            int vojakciN = this.mapa.polja[N].steviloVojakov;
            int vojakciB = this.mapa.polja[B].steviloVojakov;

            // tukaj bi lahko pred kot dodamo pomnožili ali izvedli neko formulo, saj se gre samo, če je vrednost večja ali manjša
            for (int i = 0; i < stMetovN; i++)
                metNapadalec.Add(rand.Next(1, 7));
            for (int i = 0; i < stMetovB; i++)
                metBranilec.Add(rand.Next(1, 7));

            bool konecNapada = false;

            while (!konecNapada)
            {
                if (metNapadalec[0] > metBranilec[0]) // branilec izgubi vojaka
                {
                    metBranilec.RemoveAt(0);

                    if (this.mapa.polja[B].steviloVojakov >= 2)
                        this.mapa.polja[B].steviloVojakov--;
                    else
                    {
                        // ozemlje dobi napadalec
                        if (this.mapa.polja[N].steviloVojakov > 2)
                        {
                            this.mapa.polja[B].steviloVojakov = this.mapa.polja[N].steviloVojakov - 1;
                            this.mapa.polja[N].steviloVojakov = 1;
                        }
                        else
                        {
                            this.mapa.polja[B].steviloVojakov = 1;
                            this.mapa.polja[N].steviloVojakov = 1;
                        }

                        //osvojenemu polju spremenimo lastnika in posodobimo proizvodnje
                        this.dodeliIgralcuPolje(B);
                        konecNapada = true;
                    }

                }
                else if (metNapadalec[0] < metBranilec[0]) // napadalec izgubi vojaka
                {
                    metNapadalec.RemoveAt(0);

                    if (this.mapa.polja[N].steviloVojakov >= 2)
                        this.mapa.polja[N].steviloVojakov--;
                    else
                        konecNapada = true;
                }
                else // met je enak, oba izgubita enega vojaka
                {
                    metNapadalec.RemoveAt(0);
                    metBranilec.RemoveAt(0);

                    // če imata oba (tako napadalec, kot branilec) več kot enega vojaka
                    if ((this.mapa.polja[N].steviloVojakov > 1) && (this.mapa.polja[B].steviloVojakov > 1))
                    {
                        this.mapa.polja[N].steviloVojakov--;
                        this.mapa.polja[B].steviloVojakov--;
                    }
                    // če ima napadalec več vojakov, branilec le enega, potem napadalec osvoji ozemlje
                    else if ((this.mapa.polja[N].steviloVojakov >= 2) && (this.mapa.polja[B].steviloVojakov <= 1))
                    {
                        this.mapa.polja[N].steviloVojakov--;

                        // ozemlje dobi napadalec
                        if (this.mapa.polja[N].steviloVojakov > 2)
                        {
                            this.mapa.polja[B].steviloVojakov = this.mapa.polja[N].steviloVojakov - 1;
                            this.mapa.polja[N].steviloVojakov = 1;
                        }
                        else
                        {
                            this.mapa.polja[B].steviloVojakov = 1;
                            this.mapa.polja[N].steviloVojakov = 1;
                        }

                        //osvojenemu polju spremenimo lastnika in posodobimo proizvodnje
                        this.dodeliIgralcuPolje(B);
                        konecNapada = true;
                    }
                    // če ima napadalec samo enega, branilec jih ima več, potem je konec, vendar branilcu zmanjšamo število vojakov
                    else if ((this.mapa.polja[N].steviloVojakov <= 1) && (this.mapa.polja[B].steviloVojakov >= 2))
                    {
                        this.mapa.polja[B].steviloVojakov--;
                        konecNapada = true;
                    }
                    // v nasprotnem primeru, smo prišli do točke, kjer imata oba igralca po enega vojaka in ne naredimo nič, le končamo z napadom
                    else
                        konecNapada = true;
                }

                // znova napolnimo z meti kock
                if (((metNapadalec.Count == 0) || (metBranilec.Count == 0)) && !konecNapada)
                {
                    metNapadalec.Clear();
                    metBranilec.Clear();

                    for (int i = 0; i < stMetovN; i++)
                        metNapadalec.Add(rand.Next(1, 7));
                    for (int i = 0; i < stMetovB; i++)
                        metBranilec.Add(rand.Next(1, 7));
                }
            }
        }

        // Dodano - Dominik (10.12.2012)
        public double vrniPovprecjeEnot(int index, int lastnik)
        {
            double vsota = 0;
            double steviloPolj = 0;
            double povprecje = 0;

            for (int i = 0; i < this.mapa.polja.Count; i++)
            {
                if ((this.mapa.polja[i].jeSosed(index)))// && (this.mapa.polja[i].indexLastnika != lastnik))
                {
                    vsota = vsota + this.mapa.polja[i].steviloVojakov;
                    steviloPolj++;
                }
            }

            if ((vsota == 0) || (steviloPolj == 0))
                povprecje = 0;
            else
                povprecje = vsota / steviloPolj;

            return povprecje;
        }

        public bool jeEnakLastnik(int index, int sosed)
        {
            if (this.mapa.polja[index].indexLastnika == this.mapa.polja[sosed].indexLastnika) return true;
            return false;
        }

        /// <summary>
        /// stvar rabiš za generiranje polja iz slike tak, da ne diraj ;)
        /// </summary>
        /// <param name="seznam"></param>
        /// <param name="Tocka"></param>
        /// <returns></returns>
        public int najdi(List<Point> seznam, Point Tocka)
        {
            for (int i = 0; i < seznam.Count; i++)
            {
                if (seznam[i] == Tocka)
                {
                    return i;
                }
            }
            return -1;
        }

        /// <summary>
        /// trenutni igralec napade nasprotnika
        /// </summary>
        /// <param name="indexPoljaNapadalca"></param>
        /// <param name="indexPoljaBranilca"></param>
        /// <returns></returns>
        public bool napadi(int indexPoljaNapadalca, int indexPoljaBranilca)
        {
            //stanje igre?
            if (this.faza == fazaIgre.okrepitve)
            {
                if (this.igralci[naPotezi].indexPolj.Count == 0) { return false; }
                if (this.igralci[naPotezi].naZalogi > 0) { /*throw new Exception("Nisi razporedil se vseh enot");*/ return false; }
                else this.faza = fazaIgre.napadanje;
            }
            else if (this.faza == fazaIgre.fortifikacija) { throw new Exception("Za to rundo si zakljucil z napadanjem"); }

            //ali so vneseni podatki pravilni
            if (indexPoljaNapadalca < 0 || indexPoljaNapadalca > this.mapa.polja.Count) { /*throw new ArgumentException("Izbrano polje je izven dosega ", "idexPoljaNapadalca");*/ return false; }
            if (indexPoljaBranilca < 0 || indexPoljaBranilca > this.mapa.polja.Count) { /*throw new ArgumentException("Izbrano polje je izven dosega ", "indexPoljaBranilca");*/ return false; }
            if (this.mapa.polja[indexPoljaBranilca].indexLastnika == this.naPotezi) { /*throw new ArgumentException("Napadeno polje je tvoje, zakaj bi sam sebe napadal?", "indexPoljaBranilca");*/ return false; }
            if (this.mapa.polja[indexPoljaNapadalca].indexLastnika != this.naPotezi) { /*throw new ArgumentException("Izvorno polje ni tvojem, zato ne mores napadati od tam", "idexPoljaNapadalca");*/ return false; }

            //ali je dovoljen takšen napad
            if (!this.mapa.polja[indexPoljaNapadalca].jeSosed(indexPoljaBranilca)) { /*throw new Exception("Polji nista sosednji");*/ return false; }
            if (this.mapa.polja[indexPoljaNapadalca].steviloVojakov <= 1) { /*throw new Exception("Premalo vojakov da bi lahko napadel sosednjo polje");*/ return false; }

            //tu se dejansko zgodi boj
            this.metKocke(indexPoljaNapadalca, indexPoljaBranilca);

            /*
            if (this.mapa.polja[indexPoljaNapadalca].steviloVojakov - 1 > this.mapa.polja[indexPoljaBranilca].steviloVojakov)
            {
                this.mapa.polja[indexPoljaBranilca].steviloVojakov = this.mapa.polja[indexPoljaNapadalca].steviloVojakov - this.mapa.polja[indexPoljaBranilca].steviloVojakov - 1;
                this.mapa.polja[indexPoljaNapadalca].steviloVojakov = 1;
                //osvojenemu polju spremenimo lastnika in posodobimo proizvodnje
                this.dodeliIgralcuPolje(indexPoljaBranilca);
            }
            else if (this.mapa.polja[indexPoljaNapadalca].steviloVojakov == this.mapa.polja[indexPoljaBranilca].steviloVojakov)
            {
                //this.mapa.polja[indexPoljaBranilca].steviloVojakov = this.mapa.polja[indexPoljaBranilca].steviloVojakov - this.mapa.polja[indexPoljaBranilca].steviloVojakov + 1;
                //this.mapa.polja[indexPoljaBranilca].steviloVojakov = 1;
                this.mapa.polja[indexPoljaNapadalca].steviloVojakov = 1;
                this.mapa.polja[indexPoljaBranilca].steviloVojakov = 1;
            }
            else if (this.mapa.polja[indexPoljaNapadalca].steviloVojakov - 1 == this.mapa.polja[indexPoljaBranilca].steviloVojakov)
            {
                this.mapa.polja[indexPoljaNapadalca].steviloVojakov = 1;
                this.mapa.polja[indexPoljaBranilca].steviloVojakov = this.mapa.polja[indexPoljaBranilca].steviloVojakov - this.mapa.polja[indexPoljaNapadalca].steviloVojakov;
            }
            */
            return true;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="izvornoPolje"></param>
        /// <param name="destinacijskoPolje"></param>
        /// <param name="stevilo"></param>
        /// <returns></returns>
        public bool premakniVojaka(int izvornoPolje, int destinacijskoPolje, int stevilo = 1)
        {
            //preverim ali polji pripadata istemu lastniku
            if (this.mapa.polja[destinacijskoPolje].indexLastnika != this.mapa.polja[izvornoPolje].indexLastnika) { /*throw new Exception("Okrepitve pošiljaš svojem nasprotniku in tega ti vojaki ne bodo pustili");*/ return false; }

            //preverim ali sta polji sosednji
            if (this.mapa.aliStaPoljiPovezani(izvornoPolje, destinacijskoPolje))
            {
                if (this.mapa.polja[izvornoPolje].steviloVojakov >= 1 + stevilo)
                {
                    this.mapa.polja[destinacijskoPolje].steviloVojakov += stevilo;
                    this.mapa.polja[izvornoPolje].steviloVojakov -= stevilo;
                }
                return true;
            }
            else { /*throw new Exception("Polji nista med sabo povezani");*/ return false; }
        }

        /// <summary>
        /// trenutni igralec zaključi potezo in preda drugemu
        /// </summary>
        /// <returns></returns>
        public bool koncajPotezo()
        {
            this.faza = fazaIgre.okrepitve;
            this.naPotezi = (this.naPotezi + 1) % this.igralci.Count;
            return true;
        }

        /// <summary>
        /// gre in posodobi proizvodnjo za vsakega igralca
        /// </summary>
        public void posodobiProizvodnjo()
        {
            int proizvodnja;
            foreach (Igralec trenutniElement in this.igralci)
            {
                proizvodnja = 3;
                foreach (Skupina skupina in this.mapa.skupine)
                {
                    if (skupina.aliSoIndexiVtejSkupini(trenutniElement.indexPolj)) proizvodnja += skupina.proizvodnja;
                }
                trenutniElement.proizvodnja = proizvodnja;
                trenutniElement.naZalogi = proizvodnja;
            }
        }

        /// <summary>
        /// trenutnemu igralcu doda polje 
        /// </summary>
        /// <param name="indexPolja"></param>
        /// <returns></returns>
        public bool dodeliIgralcuPolje(int indexPolja)
        {
            //prejšnemu lasntiku vzamemo polje
            int zguba = this.mapa.polja[indexPolja].indexLastnika;
            this.igralci[zguba].indexPolj.Remove(indexPolja);

            //polje dodelimo novemu lastniku
            this.mapa.polja[indexPolja].indexLastnika = this.naPotezi;
            this.igralci[naPotezi].indexPolj.Add(indexPolja);

            //če si igralca uničil dobiš dodatne enote
            if (this.igralci[zguba].indexPolj.Count == 0)
            {
                this.igralci[naPotezi].naZalogi = 3 + this.igralci[naPotezi].proizvodnja;
                this.igralci.RemoveAt(zguba);

                if (zguba < naPotezi)
                    naPotezi--;

                this.faza = fazaIgre.okrepitve;

                for (int i = 0; i < this.mapa.polja.Count; i++)
                {
                    if (zguba < this.mapa.polja[i].indexLastnika)
                        this.mapa.polja[i].indexLastnika--;
                }

                return false;
            }
            posodobiProizvodnjo();

            return true;
        }

        public double distance(Point a, Point b)
        {
            double D = Math.Pow((double)b.X - a.X, 2) + Math.Pow((double)b.Y - a.Y, 2);
            return Math.Abs(D);
        }

        #endregion


        public void Serialize<T>(T obj, string fileName)
        {
            try
            {
                var store = IsolatedStorageFile.GetUserStoreForApplication();
                if (store.FileExists(fileName))
                {
                    store.DeleteFile(fileName);
                }
                IsolatedStorageFileStream stream = store.OpenFile(fileName, FileMode.Create);

                XmlSerializer serializer = new XmlSerializer(typeof(T));
                XmlWriterSettings nastavitve = new XmlWriterSettings();

                using (XmlWriter xmlWriter = XmlWriter.Create(stream, nastavitve))
                {
                    serializer.Serialize(xmlWriter, obj);
                }

                stream.Close();
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public T DeSerialize<T>(string fileName)
        {
            try
            {
                var store = IsolatedStorageFile.GetUserStoreForApplication();
                IsolatedStorageFileStream stream = store.OpenFile(fileName, FileMode.Open);

                XmlSerializer serializer = new XmlSerializer(typeof(T));
                T a = (T)serializer.Deserialize(stream);
                stream.Close();
                return a;
                
                
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }/**/


    }
}