﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;


namespace WindowsGame1
{
    public enum tipIgralca { clovek, racunalnik };
    public class Igralec
    {
        public tipIgralca tip;
        public string ime;
        public int proizvodnja; // je minimalno 3
        public Color barva;
        public int naZalogi;
        public List<int> indexPolj;

        public Igralec() { }

        public Igralec(tipIgralca tip, string ime, Color barva, List<int> indexPolj)
        {
            this.tip = tip;
            this.ime = ime;
            this.barva = barva;
            this.indexPolj = new List<int>(indexPolj);
        }

        public Igralec(tipIgralca tip, string ime, Color barva)
        {
            this.tip = tip;
            this.ime = ime;
            this.barva = barva;
        }

        public Igralec(tipIgralca tip, string ime)
        {
            this.tip = tip;
            this.ime = ime;
            this.indexPolj = new List<int>();
        }

        public Igralec(tipIgralca tip, string ime, int proizvodnja, Color barva, int naZalogi, List<int> indexPolj)
        {
            this.tip = tip;
            this.ime = ime;
            this.proizvodnja = proizvodnja;
            this.barva = barva;
            this.naZalogi = naZalogi;
            this.indexPolj = new List<int>(indexPolj);
        }
    }
}
