﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsGame1
{
    public class Skupina
    {
        public List<int> indexClana; //polja
        public int proizvodnja;

        public Skupina(List<int> indexClana, int proizvodnja)
        {
            this.indexClana = new List<int>(indexClana);
            this.proizvodnja = proizvodnja;
        }

        public Skupina()
        {
            this.indexClana = new List<int>();
        }

        public bool preveriSkupino(int steviloPolj)
        {
            foreach (int trenutniElement in this.indexClana)
            {
                if (trenutniElement < 0 || trenutniElement > steviloPolj) { throw new Exception("Skupina vsebuje neveljavne indexe clanov"); }
            }
            return true;
        }

        public bool aliSoIndexiVtejSkupini(List<int> vhodniIndexiPolj)
        {
            int stevec = 0;

            foreach (int trenutniElement in vhodniIndexiPolj)
            {
                if (this.indexClana.Contains(trenutniElement)) stevec++;
            }

            if (stevec == this.indexClana.Count) return true;
            else return false;
        }
    }

}
